<!--
######################################################################
# ZW3B.Site : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj(at)lab3w(dot)fr)
#
# Date Create : 2014/10/20
# Date Modify : 2015/11/03
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

# CREER UN ZW3B-SITE

# on cree le virtual-host

mkdir /var/www/ -p \
&& chgrp www-data /var/www/ \
&& chmod g+w /var/www/

# on dezippe zw3b_site-v5.8.2.tar.gz dans le repertoire /var/www/ par ex
tar xzvfp zw3b_site-v5.8.2.tar.gz .

# -> le repertoire ./web/ contient les fichiers  mettre sur le serveur

# on liste le repertoire ./web/ pour ex
ls -la ./web/ ou tree

+-- sys
   +-- kernel
   +-- modules
      +-- config
      +-- contents
      +-- tree
      +-- usr
+-- setup
+-- skins
   +-- zw3b-default
+-- var
   +-- contents
   +-- tree
   +-- usr
+-- index.php
+-- .htaccess

# il faut assigner en ecriture les repertoires de ./var/ au groupe du serveur web (si ce nest pas fait dans le tar)
chgrp -R www-data ./var/ && chown -R g+w ./var/
chgrp -R www-data ./var/usr/ && chown -R g+w ./var/usr/

# avec le formulaire ./setup/index.php ci-dessous (les commandes pour ex):
# on va creer et assigner en ecriture les repertoires au groupe du serveur web

mkdir ./var/tree/ && chgrp -R www-data ./var/tree/ && chown -R g+w ./var/tree/
mkdir ./var/contents/ && chgrp -R www-data ./var/contents/ && chown -R g+w ./var/contents/

# il faut ajouter la base de donnes (MySQL)
# le fichier MySQL se trouve ./sql/zw3b_site_v5_8_2_default.sql

mysql --user=root --password="" --host=localhost zw3b_site_v5_8_2 < ./sql/zw3b_site_v5_8_2_default.sql


-->
<?php //phpinfo();?>
<?php

define("BD_HOST","localhost");
define("DB_USER","root");
define("BD_PASS","");
define("DB_NAME","zw3b_site_v5_8_2");
define("DB_FILE","./sql/zw3b_site_v5_8_2_default.sql");

$string_validation = null;
if( isset($_POST) && is_array($_POST)
 && isset($_POST['config']['submit_validation'])
 && !empty($_POST['config']['submit_validation'])
 //&& $_POST['config']['submit_validation'] == "Gnrer le numero de validation"
):
	//echo 'VALIDATION : <pre>'.print_r($_POST,1).'</pre>';

	$string_validation = rand(0,986543210);
endif;


$retour = false;
if( isset($_POST) && is_array($_POST)
 && isset($_POST['config']['submit']) && !empty($_POST['config']['submit'])
 //&& $_POST['config']['submit'] == "Gnrer le ZW3B.Site"
 && isset($_POST['config']['validation'])
 && isset($_POST['config']['valide']) && !empty($_POST['config']['valide'])
 //&& $_POST['config']['validation'] == $_POST['config']['valide']
 && isset($_POST['config']['uri']) && !empty($_POST['config']['uri'])
 && isset($_POST['config']['documentroot']) && !empty($_POST['config']['documentroot'])
 && isset($_POST['config']['title']) && !empty($_POST['config']['title'])
 && isset($_POST['config']['description']) && !empty($_POST['config']['description'])
 && isset($_POST['config']['keywords']) && !empty($_POST['config']['keywords'])
 && isset($_POST['config']['text']) && !empty($_POST['config']['text'])

):
	//echo 'MOD : <pre>'.print_r($_POST,1).'</pre>';

	if($_POST['config']['validation'] != $_POST['config']['valide']) {
		$retour["error"] = "code";
	}
	else {
		echo 'on installe<br/>'; //;exit;

    	//---------- VHOST -------------------
		echo "<hr/><pre>".print_r("VH",1)."</pre>";

		$_POST['config']['documentroot'] = $_POST['config']['documentroot'];

    	// on verifie que le repertoire existe /var/pro/web_sites/zw3b.fr/www/web/
		echo '<br/>Le repertoire <code>'.$_POST['config']['documentroot'].'</code>';
 		if(!file_exists($_POST['config']['documentroot'].'')) {
			echo '  nexiste pas ---> on le cree';
			echo mkdir($_POST['config']['documentroot'],0755) ? "(true)<br/>" : "(false)<br/>";

 		} else {
			echo ' existe';
		}
    	//---------- VHOST -------------------


    	//---------- VHOST/VAR -------------------
    	echo "<hr/><pre>".print_r("VAR",1)."</pre>";

    	$_POST['config']['dir']['var'] = $_POST['config']['documentroot'].'var/';

    	// on verifie que le repertoire existe /var/pro/web_sites/zw3b.fr/www/web/var/
		echo '<br/>Le repertoire <code>'.$_POST['config']['dir']['var'].'</code>';
		if(!file_exists($_POST['config']['dir']['var'].'')) {
			echo ' nexiste pas ---> on le cree';
			echo mkdir($_POST['config']['dir']['var'],0755) ? "(true)<br/>" : "(false)<br/>";

		} else {
			echo ' existe';
		}
    	//---------- VHOST/VAR -------------------


    	//---------- VHOST/VAR/TREE -------------------
    	echo "<hr/><pre>".print_r("TREE",1)."</pre>";

    	// on cree un le repertoire /var/pro/web_sites/zw3b.fr/www/web/var/tree/www.zw3b.fr/
    	// on verifie que le fichier info.gen.php existe (@todo: selection des zones)

    	$_POST['config']['dir']['tree'] = $_POST['config']['dir']['var'].'tree/';
      	$_POST['config']['dir']['vh'] = $_POST['config']['dir']['var'].'tree/'.substr($_POST['config']['uri'],2,-1).'/';

		echo '<br/>Le repertoire <code>'.$_POST['config']['dir']['tree'].'</code>';
		if(!file_exists($_POST['config']['dir']['tree'])) {
			echo ' nexiste pas ---> on le cree';
			echo mkdir($_POST['config']['dir']['tree'],0755) ? "(true)<br/>" : "(false)<br/>";

		} else {
			echo ' existe';
		}

		echo '<br/>Le repertoire <code>'.$_POST['config']['dir']['vh'].'</code>';
		if(!file_exists($_POST['config']['dir']['vh'])) {
			echo ' nexiste pas ---> on le cree';
			echo mkdir($_POST['config']['dir']['vh'],0755) ? "(true)<br/>" : "(false)<br/>";

		} else {
			echo ' existe';
		}

		echo '<br/>Le fichier <code>'.$_POST['config']['dir']['vh'].'info.inc.php</code>';
		if(!file_exists($_POST['config']['dir']['vh'].'info.inc.php')) {
			echo ' nexiste pas ';
			echo ' ---> on le cree (false)<br/>';

		} else {
			echo ' existe';
		}
		//---------- VHOST/VAR/TREE -------------------


		//---------- BDD -------------------
		// on soccupe de la base
		$link = mysql_connect(BD_HOST, DB_USER, BD_PASS);
		if (!$link) {
			die('Connexion impossible : ' . mysql_error());
		}

		$db_create = 'CREATE DATABASE '.DB_NAME;
		if (mysql_query($db_create, $link)) {
			echo "Base de donnes cre correctement\n";
		} else {
			echo 'Erreur lors de la cration de la base de donnes : ' . mysql_error() . "\n";
		}

		$db_selected = mysql_select_db(DB_NAME, $link);
		if (!$db_selected) {
		   die ('Impossible de slectionner la base de donnes : ' . mysql_error());
		}

		$all_lines = file(DB_FILE, FILE_SKIP_EMPTY_LINES | FILE_IGNORE_NEW_LINES);

		foreach($all_lines as $query) {
			if(substr($query, 0, 2) == "--") {
				continue;
			}

			mysql_query($query, $link) or die('Erreur lors de lexecution de la requete <br/>&nbsp;&nbsp;'.$query.'<br/>'.mysql_error());
		}
		//---------- BDD -------------------


	}



	$retour["create"] = null;
	if(!isset($retour["error"]))
		$retour["create"] = true;

	//exit;

endif;
?>

<!DOCTYPE html>
<html lang="fr-FR">
<head>
	<title>ZW3B.Site v5.8.2 - Installation</title>
	<style type="text/css">
		form table, form input, form textarea {
		    min-width:600px;
		}
	</style>
</head>
<body>
	<div id="zw-body">

		<div id="zw-site">
			<h2>ZW3B.Site v5.8.2 - Installation (ou pour faire des injections :s)</h2>

<?php
if($retour["create"] == null):

?>

			<div class="bloc main" id="zw_admin-config_global">


				<div class="head"><h2>Ajouter votre site g&eacute;n&eacute;r&eacute; avec <a href="//apps.zw3b.fr/zw3b-site/">ZW3B.Site v5.8.2</a></h2></div>

				<div class="body content">
					<p>Sur cette page vous configurez le site.</p>

				</div>


				<div class="body form">

					<form enctype="multipart/form-data" action="<?php echo ''.$_SERVER['PHP_SELF'].'';?>" method="post">
					<table>

						<tbody>
						<tr>
							<th>Adresse du site :</th>
							<td>
							<input type="text" value="<?php echo '//'.$_SERVER['SERVER_NAME'].'';?>" name="config[uri]">
							</td>
						</tr>
						<tr>
							<th>Racine du site :</th>
							<td>
							<input type="text" value="<?php echo ''.$_SERVER['DOCUMENT_ROOT'].'';?>" name="config[documentroot]">
							</td>
						</tr>

						<tr>
							<td colspan="2">&nbsp;</td>
						</tr>

						<tr>
							<th>Nom du site :</th>
							<td>

								<input type="text" value="ZW3B.Site" name="config[title]">
							</td>
						</tr>


						<tr>
							<th>Description du site :</th>
							<td><textarea class="" rows="2" name="config[description]">Site g&eacute;n&eacute;r&eacute; avec l'application ZW3B.Site v5.8.2</textarea></td>
						</tr>
						<tr>
							<th>Mots Clefs :</th>
							<td><textarea class="" rows="5" name="config[keywords]">zw3b, lab3w, </textarea></td>
						</tr>
						<tr>
							<td colspan="2">&nbsp;</td>
						</tr>
						<tr>
							<th>Texte du site :</th>
							<td><textarea class="" rows="20" name="config[text]"><p>Bienvenue sur ce site ! Il vient d'&ecirc;tre g&eacute;n&eacute;r&eacute; avec l'application <a href="//apps.zw3b.fr/">ZW3B.Site v5.8.2</a><p></textarea></td>
						</tr>

						<tr>
							<td colspan="2">&nbsp;</td>
						</tr>

						<tr>
							<th>Num&eacute;ro de validation : </th>
							<td>
							<input type="text" value="" name="config[validation]" <?php echo isset($retour['error']) && $retour['error'] == 'code' ? ' style="border:1px solid red;"' : '';?>>
							<input type="hidden" value="<?php echo $string_validation; ?>" name="config[valide]">
							<?php echo $string_validation; ?>
							</td>
						</tr>

						<tr>
							<td></td>
							<td>
							<?php
							//if($retour["error"] == false)
								echo (
										(isset($_POST['config']['validation']) &&  $_POST['config']['validation'] == "")

									) ? '<input type="submit" value="G&egrave;n&eacute;rer le ZW3B.Site" name="config[submit]">' : '<input type="submit" value="G&egrave;n&eacute;rer le numero de validation" name="config[submit_validation]">' ;?>

							</td>
						</tr>

						<tr>
							<td colspan="2">&nbsp;</td>
						</tr>

					</tbody></table>
					</form>
				</div>


				<div class="foot"></div>

			</div>




<?php
else:
// retour OKAY
?>


			<div class="bloc main" id="zw_admin-config_global">


				<div class="head"><h2>Ajouter votre site g&eacute;n&eacute;r&eacute; avec <a href="//apps.zw3b.fr/zw3b-site/">ZW3B.Site v5.8.1</a></h2></div>

				<div class="body content">
					<p>Le ZW3B.Site a &eacute;t&eacute; cr&eacute;&eacute;.</p>

				</div>


				<div class="body">

				</div>

				<div class="foot"></div>

			</div>
<?php
endif;
?>







		</div>
	</div>
</body>
</html>
