<?php
######################################################################
# ZW3B.Site v5.8.2 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2014/10/20
# Date Modify : 2015/10/14
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class zw3bModComments extends zw3bModules {

		function __construct($config, $info) {
			$this->config = $config;
			$this->info = $info;
		}
		
		function init($view, $module, $component, $arguments) {

			// Parcours du tableau $arguments
			if(is_array($arguments)):
			foreach ($arguments as $key => $value){
				//$this->zwViews()->assign($key, $value);
				$this->assign($key, $value);
			}
			endif;

			// on appele la methode
			$component_method = $module::$component($arguments);

			// on ecrit
			return self::render($view, $component_method);

			//return $component_render;
		}

		function render($view, $fields) {

			//$this->fields['body'] .= '<br/> <pre>Fields : '.print_r($this->fields,1).'</pre>';

			// Template
			if(file_exists($view)):
				$modele = @fopen ($view, 'r');
				$render_content = @fread ($modele, @filesize ($view));
				@fclose ($modele);

				// Parcours du tableau $fields
				if(is_array($this->fields)):
				foreach ($this->fields as $key => $value){
					// Remplacement des valeurs dans le modle
					$result = @ereg_replace ("{".$key."}", $value, $render_content);
					// Initialisation du contenu du template
					$render_content = $result;

				}
				endif;
			else:
				$render_content = '<p style="color:white; background-color:red;"><span style="color:white;">&nbsp;Error:</span> Template "<span style="color:black;">'.$view.'</span>" n\'existe pas !</p>';
			endif;

			return $render_content;
		}

		public function zw3bModCommentsForm($arguments = null) {

			$formulaire_html = null;
			//if( $usr->session_ok() || $this->page['out']['comment_anonym_active'] == 1)
			{

			$formulaire_html.= '<div id="comments-add">'."\n";
			
				$formulaire_html.= '<h3 class="tetiere">'."\n";
				$formulaire_html.= 'Ajouter un commentaire';
				$formulaire_html.= '</h3>'."\n";

				$formulaire_html.= '<div id="bloc-comments-add-content">'."\n";

				//$this->config = parent::initConfig();

					//$formulaire_html.= 'zw3bModCommentsForm><pre>'.print_r($this->info, 1).'</pre>';
					
					//if( $usr->session_check() ) {
						$user = array();
						//$user = $usr->SQLgetUserByID();
						//$user = $this->usr->get_user($this->usr->session()->uid);
						$arguments['id_user'] = parent::zwUsr()->session()->uid;
						$user = parent::zwUsr()->get_user($arguments); //$user = $user[0];
						//$user = $user[0];
						
						if($this->usr->session()->valide() == true)
							//$formulaire_html.= "\t\t\t".'<form method="post" id="form-comments-add" class="form" action="/actions/comments/add">'."\n";
							$formulaire_html.= "\t\t\t".'<form onsubmit="return addComment();" method="post" id="form-comments-add" class="form" action="#">'."\n";
						else
							$formulaire_html.= "\t\t\t".'<form onsubmit="return sendComment();" method="post" id="form-comments-add" class="form" action="#">'."\n";
						
						//$formulaire_html.= "\t\t\t".'<div id="form-comments-add" class="form">'."\n";
						$formulaire_html.= "\t\t\t\t".'<table>'."\n";

						$formulaire_html.= "\t\t\t\t".'<thead>'."\n";
							$formulaire_html.= "\t\t\t\t\t".'<tr>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<td>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".''."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'</td>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<th class="libel">'."\n";
							//echo "\t\t\t\t\t\t".'<span class="libel">Ajouter un commentaire</span>';
							$formulaire_html.= '<input type="hidden" id="field_titre" name="comment[title]" value="Re : '.$arguments['content']['content_title'].'" /><input type="hidden" id="field_url" name="comment[url]" value="'.$this->info['hote'].substr($this->info['url'],1,strlen($this->info['url'])).'" />'."\n";
							//$formulaire_html.= '<pre>'.$user.'</pre>';
							$formulaire_html.= "\t\t\t\t\t\t".'</th>'."\n";
							$formulaire_html.= "\t\t\t\t\t".'</tr>'."\n";
						$formulaire_html.= "\t\t\t\t".'</thead>'."\n";


						$formulaire_html.= "\t\t\t\t".'<tbody>'."\n";

							$formulaire_html.= "\t\t\t\t\t".'<tr>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<th class="user">'."\n";

						  $formulaire_html.= '<div class="user">'."\n";
						  $formulaire_html.= "\t\t\t\t";
						  $formulaire_html.= '<div class="avatar">'."\n";
						  if( file_exists($this->config['host']['documentroot'].'/'.$this->zwTools()->getpathFromSTRING($user['usr_pseudo'], '/var/usr/').'/photos/'.$user['usr_avatar']) )
							$formulaire_html.= "\t\t\t\t\t".'<img src="'.$this->zwTools()->getpathFromSTRING($user['usr_pseudo'], '/var/usr/').'/photos/'.$user['usr_avatar'].'" alt="'.$user['usr_pseudo'].'" />'."\n";
						  else
							$formulaire_html.= "\t\t\t\t\t".'<img src="'.'/var/usr/'.'avatar.png" class="avatar-default" onclick="change();" alt="Avatar par default" />'."\n";

						  $formulaire_html.= "\t\t\t\t".'</div>'."\n";
						  $formulaire_html.= "".'</div>'."\n";

							$formulaire_html.= "\t\t\t\t\t\t".'</th>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<td>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<textarea name="comment[text]" id="comments-add-texte" rows="10" cols="100" class="form"></textarea>'."\n";
							$formulaire_html.= '<span id="info-text" class="info"></span>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'</td>'."\n";
							$formulaire_html.= "\t\t\t\t\t".'</tr>'."\n";

					if($this->usr->session()->valide() == false) {

							$formulaire_html.= "\t\t\t\t\t".'<tr>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<th class="champ">'."\n";
							$formulaire_html.= 'Pseudo : ';
							$formulaire_html.= "\t\t\t\t\t\t".'</th>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<td>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<input type="text" name="field_identifiant" id="comments-add-pseudo" value="" class="form"/>'."\n";
							$formulaire_html.= '<span id="info-pseudo" class="info"></span>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'</td>'."\n";
							$formulaire_html.= "\t\t\t\t\t".'</tr>'."\n";

							$formulaire_html.= "\t\t\t\t\t".'<tr>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<th class="champ">'."\n";
							$formulaire_html.= 'Email : ';
							$formulaire_html.= "\t\t\t\t\t\t".'</th>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<td>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<input type="text" name="field_email" id="comments-add-email" value="" class="form"/>'."\n";
							$formulaire_html.= '<span id="info-email" class="info"></span>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'</td>'."\n";
							$formulaire_html.= "\t\t\t\t\t".'</tr>'."\n";

							$formulaire_html.= "\t\t\t\t\t".'<tr>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<td colspan="2">'."\n";
							$formulaire_html.= '&nbsp;';
							$formulaire_html.= "\t\t\t\t\t\t".'</td>'."\n";
							$formulaire_html.= "\t\t\t\t\t".'</tr>'."\n";
																			
							$formulaire_html.= "\t\t\t\t\t".'<tr>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<th>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<input type="button" name="" value="Refresh"  onclick="refreshCaptcha();"/>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'</th>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<td class="button">'."\n";
							
							$formulaire_html.= "\t\t\t\t\t\t".'';
							$formulaire_html.= '<img id="captcha_code" src="/pub/captcha.php" /><br/><br/>'."\n";
							//$formulaire_html.= '<!--<img id="captcha_code" src="//roots.zw3b.fr/captcha/captcha.php" /><br/><br/>-->'."\n";							
							//$formulaire_html.= '<div id="captcha_code"><script type="text/javascript">refreshCaptcha();</script></div>'."\n";							
									
							$formulaire_html.= "\t\t\t\t\t\t".'</td>'."\n";
							$formulaire_html.= "\t\t\t\t\t".'</tr>'."\n";												
					
							$formulaire_html.= "\t\t\t\t\t".'<tr>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<th class="champ">'."\n";
							$formulaire_html.= 'Code : ';
							$formulaire_html.= "\t\t\t\t\t\t".'</th>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<td>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<input type="text" name="field_captcha" id="comments-add-captcha" value="" class="form"/>'."\n";
							$formulaire_html.= '<span id="info-captcha" class="info"></span>'."\n";	
							$formulaire_html.= "\t\t\t\t\t\t".'</td>'."\n";
							$formulaire_html.= "\t\t\t\t\t".'</tr>'."\n";					
					
							$formulaire_html.= "\t\t\t\t\t".'<tr>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<td colspan="2">'."\n";
							$formulaire_html.= '&nbsp;';
							$formulaire_html.= "\t\t\t\t\t\t".'</td>'."\n";
							$formulaire_html.= "\t\t\t\t\t".'</tr>'."\n";					
					}
							$formulaire_html.= "\t\t\t\t\t".'<tr>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<th>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".''."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'</th>'."\n";
							$formulaire_html.= "\t\t\t\t\t\t".'<td class="button">'."\n";

						  //if($this->info['content']['type'] == 'actualites') $module_id = 1;
						 // if($this->info['content']['type'] == 'articles') $module_id = 2;
						 // if($this->info['content']['type'] == 'pools') $module_id = 3;
						 // if($this->info['content']['type'] == 'images') $module_id = 51;
						 // if($this->info['content']['type'] == 'links') $module_id = 47;

						  $formulaire_html.= "\t\t\t\t\t\t".'<input type="hidden" id="field_pid" name="comment[page_id]" value="'.$arguments['content']['content_id'].'" />';
						  $formulaire_html.= '<input type="hidden" id="field_mid" name="comment[content_type]" value="'.$arguments['id_mod'].'" />';
						  //$formulaire_html.= '<input type="hidden" id="field_sc" name="sc" value="add" />';
						  $formulaire_html.= '<input type="submit" name="comment[form]" value="ajouter" />'."\n";

							$formulaire_html.= "\t\t\t\t\t\t".'</td>'."\n";
							$formulaire_html.= "\t\t\t\t\t".'</tr>'."\n";

						$formulaire_html.= "\t\t\t\t".'</tbody>'."\n";

						$formulaire_html.= "\t\t\t\t".'</table>'."\n";
						$formulaire_html.= "\t\t\t".'</form>'."\n";
			/*
					}
					 else {

						echo '<div class="text">';
						echo '<p style="text-align:center; font-weight:bold;">';
						echo 'Vous devez &ecirc;tre inscrit et identifi&eacute; pour pouvoir poster une r&eacute;ponse.';
						echo '</p>';
						echo '</div>';
					}
			*/


				$formulaire_html.= '</div>'."\n";

				//$formulaire_html.= '<pre>'.print_r($this->info, 1).'</pre>';
				

			$formulaire_html.= '</div>'."\n";

			return $formulaire_html;

			}


		}

		public function zw3bModCommentsAjaxCaptcha($arguments = null) {
				
				//include('./pub/captcha.php'); exit;

				$string = '';
				for ($i = 0; $i < $max=2; $i++) {
					$string .= mt_rand(0, 9);
				    $string .= chr(rand(97, 122));
				    if($i==$max-1)
				    $string .= mt_rand(0, 9);
				}
				echo $string; exit;
				
				//$_SESSION['captcha'] = $string; //store the captcha
				
				$dir = '/lib/fonts/';
				
				header("Content-type: image/png");
				//header("Content-type: image/jpeg"); 
				
				$image = @imagecreatetruecolor(200, 50) or die("Impossible de cre un flux d'image GD"); //custom image size
				//$image = imagecreate(200, 50); //custom image size
				
				//$font = "english.ttf"; // custom font style
				$font = "defused.ttf"; // custom font style
				//$color = imagecolorallocate($image, 113, 193, 217); // custom color
				$color = imagecolorallocate($image, 86, 86, 86); // custom color
				$bg = imagecolorallocate($image, 255, 255, 255); // custom background color
				
				imagefilledrectangle($image,0,0,399,99, $bg);
				//imagettftext ($image, 30, 0, 10, 40, $color, $dir.$font, $_SESSION['captcha']);
				imagettftext ($image, 30, 0, 10, 40, $color, $dir.$font, $string);
				
				imagepng($image);
				//imagejpeg($image);
				imagedestroy($image);
				
				exit;
				
		}
		
		private function zw3bModCommentsTplCommentInList($arguments = null) {

			$this->zw3bModCommentsLstHtml($arguments);
			
			//echo '<pre>'.print_r($this->fields, 1).'</pre>';exit;
			
			return $this->render('./sys/modules/comments/tpl/comments.bloc.php', $this->fields);

		}


		public function zw3bModCommentsLstHtml($arguments) {

			//$this->zwViews()->assign ("head", ''); 	
			$this->fields['head'] = '';
			//$this->zwViews()->assign ("foot", ''); 	
			$this->fields['foot'] = '';
			
			$this->fields['html'] = self::zw3bModCommentsLst($arguments);

		}
		
		public function zw3bModCommentsLst($arguments) {

			//$this->zwViews()->assign ("head", ''); 	
			$this->fields['head'] = '';
			//$this->zwViews()->assign ("foot", ''); 	
			$this->fields['foot'] = '';
			
			//echo '<pre>'.print_r($arguments, 1).'</pre>';exit;
			$bg = null;
			$coms = $this->get_comments($arguments);
			//$coms_nb  = array_count_values($coms);
			$coms_nb  = count($coms);
			//echo '<pre>'.print_r($coms, 1).'</pre>';exit;

			$html_comments = null;
			$html_comments.= '<div id="comments-lst">'."\n";

				$html_comments.= '<h3 class="tetiere">'."\n";
				$html_comments.= 'les r&eacute;actions des ZW3B.Nautes ('.$coms_nb.' note'.(($coms_nb>1) ? 's' : '').')';
				$html_comments.= '</h3>'."\n";

				$html_comments.= '<div id="bloc-comments-lst-content">'."\n";
					$user_id_precedent = '';

					if(is_array($coms)) { foreach($coms as $key => $com) {

						//($i % 2 != 0) ? $bg = '#F0F0F0' : $bg = '#DDD';
	
						//echo "\n\t\t".'<hr/>'."\n";

						$html_comments.= "\n";
						$html_comments.= "\t\t".'<div class="comments" id="comment-'.$com['comment_zid'].'" style="background-color:'.$bg.';">'."\n";

							$html_comments.= '<div class="comment">';
								$html_comments.= '<h5>Re : '.($arguments['content']['content_title']).'</h5>';
							$html_comments.= '</div>';

							$coment['comment_text'] = str_replace( "\n", '<br />', $com['comment_text'] );
							$coment['comment_text'] = $this->zwTools()->search_replace($coment['comment_text'] );
							
							$html_comments.= '<div class="here text comment">';
								$html_comments.= $coment['comment_text'];
							$html_comments.= '</div>';

							//$html_comments.= '<pre>Comment : '.print_r($this->info, 1).'</pre>';//exit;
							## LA MODIFICATION
							$arguments['id_user'] = $com['comment_id_usr'];
							$arguments['commentaire'] = $com;
							
							$modification_html = $this->zw3bModCommentsModificationHtml($arguments);
							$html_comments.= $modification_html;

/*
							## LA MODIFICATION
							include './_tpl/'.$this->skin.'/blocs/comments-mod.tpl.php';

							## LA FICHE USER
							$user = $usr->SQLgetUserByID($com['id_usr']);

							if(empty($user['log']) && empty($user['mail'])) {
							   $user['log']  = $com['usr'];
							   $user['mail'] = $com['mail'];
							   $user['dom_usr_name'] = 'Internaute';
							}

							//print_r2($user);
							include './_tpl/'.$this->skin.'/blocs/usr-fiche.tpl.php';
*/
							## DATEs
							$html_comments.= '<p class="date" style="font-size:85%; font-style:italic; margin:0 30px; text-align:left;">';
							$html_comments.= $this->zwTools()->mk_time($com['comment_date_mod']) <= $this->zwTools()->mk_time($com['comment_date_pub']) ? $this->zwTools()->date_powa($com['comment_date_pub']).' commentaire ajout&eacute; !' : '';
							$html_comments.= $this->zwTools()->mk_time($com['comment_date_mod']) >= $this->zwTools()->mk_time($com['comment_date_pub']) ? $this->zwTools()->date_powa($com['comment_date_mod']).' commentaire modifi&eacute; !' : '';
							$html_comments.= '</p>';
							
							## LA FICHE USER
							$arguments['id_user'] = $com['comment_id_usr'];
							$arguments['commentaire'] = $com;
							$fiche_usr_html = $this->zwUsr()->zw3bModUsrFicheHtml($arguments);
							$html_comments.= $fiche_usr_html;

							$html_comments.= '<hr class="clear" />';

						$html_comments.= '</div>';
					}}


				$html_comments.= '</div>'."\n";



			$html_comments.= '</div>'."\n";

			//$this->fields['html'] = $html_comments;
			
			return $html_comments;

		}



		private function zw3bModCommentsModificationHtml($arguments) {

			$html_modification = null;
			$this->config = parent::initConfig();
			
			$this->info = parent::zwTree()->getUrlparse();

			$com = $arguments['commentaire'];

			//$user = $this->usr->sql->get_user($com['id_usr']); //$user = $user[0];
			//$user = $this->usr->sql->get_user($com['id_usr']); $user = $user[0];
			$arguments['id_user'] = $com['comment_id_usr'];
			$user = parent::zwUsr()->get_user($arguments); //$user = $user[0];

			if( parent::zwUsr()->session()->valide() && (
				(parent::zwUsr()->session()->uid == $com['comment_id_usr']) // auteur lui-meme de la data
				 || (parent::zwUsr()->session()->gid != '0' && parent::zwUsr()->session()->gid <= '10')
				 || (parent::zwUsr()->session()->gid == '1' || parent::zwUsr()->session()->gid == '2')    // OU compte ADMIN OU compte MODERATEUR
			  )) {


			//echo '<pre>USE'.print_r($user, 1).'</pre>';//exit;

				###########################################################################
				$html_modification.= '<div class="comments-mod-button">'."\n";

					$html_modification.= '<span class="mod">';
						$html_modification.= '<a href="#comment-'.$com['comment_zid'].'" class="mod" onclick="return false;">Modifier</a>';
					$html_modification.= '</span>';

				$html_modification.= '</div>';
				###########################################################################


				###########################################################################
				$html_modification.= '<div id="bloc-comments-mod-content-'.$com['comment_zid'].'" class="form hidden">'."\n";

					//$this->config['rootdir'] = '/var/pro/web_sites/zw3b.fr/www/web/';

				  //if( $usr->session_check() ) {

					  //$user = $usr->SQLgetUserByID($com['id_usr']);

					  $html_modification.= "\t\t\t".'<form method="post" id="form-comments-mod-'.$com['comment_zid'].'" name="form-comments-mod" class="form" action="#" onsubmit="return modComment(this);">'."\n";
//					  $html_modification.= "\t\t\t".'<form method="post" id="form-comments-mod-'.$com['comment_id'].'" name="form-comments-mod" class="form" action="/actions/comments/mod/'.$com['id'].'/" onsubmit="return modFormComment(this);">'."\n";
					  $html_modification.= "\t\t\t\t".'<table>'."\n";

					  $html_modification.= "\t\t\t\t".'<thead>'."\n";
						$html_modification.= "\t\t\t\t\t".'<tr>'."\n";
						$html_modification.= "\t\t\t\t\t\t".'<td>'."\n";
						$html_modification.= "\t\t\t\t\t\t".''."\n";

						//print_r2( $usr->domain() );

						$html_modification.= "\t\t\t\t\t\t".'</td>'."\n";
						$html_modification.= "\t\t\t\t\t\t".'<th class="libel">'."\n";
						//$html_modification.= "\t\t\t\t\t\t".'<span class="libel">Ajouter un commentaire</span>';
						$html_modification.= '<input type="hidden" id="field_type-'.$com['comment_id_type'].'" name="comment_content_type" value="'.$com['comment_id_type'].'" />';
						$html_modification.= '<input type="hidden" id="field_titre-'.$com['comment_id'].'" name="titre" value="Re : '.$arguments['content']['content_title'].'" />';
						$html_modification.= '<input type="hidden" id="field_url" name="url" value="'.$this->info['hote'].substr($this->info['url'],1,strlen($this->info['url'])).'" />'."\n";
						$html_modification.= "\t\t\t\t\t\t".'</th>'."\n";
						$html_modification.= "\t\t\t\t\t".'</tr>'."\n";
					  $html_modification.= "\t\t\t\t".'</thead>'."\n";


					  $html_modification.= "\t\t\t\t".'<tbody>'."\n";

						$html_modification.= "\t\t\t\t\t".'<tr>'."\n";
						$html_modification.= "\t\t\t\t\t\t".'<th class="user">'."\n";

						$html_modification.= '<div class="user">'."\n";
						$html_modification.= "\t\t\t\t";
						$html_modification.= '<div class="avatar">'."\n";

						if( file_exists($this->config['host']['documentroot'].'/'.$this->zwTools()->getpathFromSTRING($user['usr_pseudo'], '/var/usr/').'/photos/'.$user['usr_avatar']) )
						  $html_modification.= "\t\t\t\t\t".'<img src="'.$this->zwTools()->getpathFromSTRING($user['usr_pseudo'], '/var/usr/').'/photos/'.$user['usr_avatar'].'" alt="'.$user['usr_pseudo'].'" />'."\n";
						else
						  $html_modification.= "\t\t\t\t\t".'<img src="'.'/var/usr/'.'avatar.png" class="avatar-default" onclick="change();" alt="Avatar par default" />'."\n";

						$html_modification.= "\t\t\t\t".'</div>'."\n";
						$html_modification.= "".'</div>'."\n";

						$html_modification.= "\t\t\t\t\t\t".'</th>'."\n";
						$html_modification.= "\t\t\t\t\t\t".'<td>'."\n";
						$html_modification.= "\t\t\t\t\t\t".'<textarea name="comment_text" id="field_text-'.$com['comment_zid'].'" rows="8" cols="100">'.($com['comment_text']).'</textarea>'."\n";
						$html_modification.= "\t\t\t\t\t\t".'</td>'."\n";
						$html_modification.= "\t\t\t\t\t".'</tr>'."\n";

				  //if( !$usr->session_ok() )
				  if( !empty($com['usr']) && !empty($com['mail']) )
				  {

						$html_modification.= "\t\t\t\t\t".'<tr>'."\n";
						$html_modification.= "\t\t\t\t\t\t".'<th class="champ">'."\n";
						$html_modification.= 'Pseudo : ';
						$html_modification.= "\t\t\t\t\t\t".'</th>'."\n";
						$html_modification.= "\t\t\t\t\t\t".'<td>'."\n";
						$html_modification.= "\t\t\t\t\t\t".'<input type="text" name="pseudo" id="field_pseudo-'.$com['comment_id'].'" value="'.$com['usr'].'" />'."\n";
						$html_modification.= "\t\t\t\t\t\t".'</td>'."\n";
						$html_modification.= "\t\t\t\t\t".'</tr>'."\n";

						$html_modification.= "\t\t\t\t\t".'<tr>'."\n";
						$html_modification.= "\t\t\t\t\t\t".'<th class="champ">'."\n";
						$html_modification.= 'Email : ';
						$html_modification.= "\t\t\t\t\t\t".'</th>'."\n";
						$html_modification.= "\t\t\t\t\t\t".'<td>'."\n";
						$html_modification.= "\t\t\t\t\t\t".'<input type="text" name="email" id="field_email-'.$com['comment_id'].'" value="'.$com['mail'].'"/>'."\n";
						$html_modification.= "\t\t\t\t\t\t".'</td>'."\n";
						$html_modification.= "\t\t\t\t\t".'</tr>'."\n";
				  }
						$html_modification.= "\t\t\t\t\t".'<tr>'."\n";
						$html_modification.= "\t\t\t\t\t\t".'<th>'."\n";
						$html_modification.= "\t\t\t\t\t\t".''."\n";
						$html_modification.= "\t\t\t\t\t\t".'</th>'."\n";
						$html_modification.= "\t\t\t\t\t\t".'<td class="button">'."\n";

						//if($this->info['content']['type'] == 'actualites') $module_id = 1;
						//if($this->info['content']['type'] == 'articles') $module_id = 2;
						//if($this->info['content']['type'] == 'pools') $module_id = 3;
						//if($this->info['content']['type'] == 'links') $module_id = 47;
						//if($this->info['content']['type'] == 'images') $module_id = 51;

						$html_modification.= "\t\t\t\t\t\t".'<input type="hidden" id="field_pid-'.$com['comment_zid'].'" name="page_id" value="'.$arguments['content']['content_id'].'" />';
						//$html_modification.= '<input type="hidden" id="field_mid-'.$com['comment_zid'].'" name="module_id" value="'.$module_id.'" />';
						$html_modification.= '<input type="hidden" id="field_cid-'.$com['comment_zid'].'" name="comment_id" value="'.$com['comment_id'].'" />';
						$html_modification.= '<input type="hidden" id="field_zid-'.$com['comment_zid'].'" name="comment_zid" value="'.$com['comment_zid'].'" />';
						$html_modification.= '<input type="hidden" id="field_uid-'.$com['comment_zid'].'" name="comment_id_usr" value="'.$com['comment_id_usr'].'" />';
						$html_modification.= '<input type="submit" name="type" value="modifier" />'."\n";
						$html_modification.= '<input type="button" name="type" value="supprimer" onclick="delComment('.$com['comment_zid'].'); return false;"/>'."\n";

						$html_modification.= "\t\t\t\t\t\t".'</td>'."\n";
						$html_modification.= "\t\t\t\t\t".'</tr>'."\n";

					  $html_modification.= "\t\t\t\t".'</tbody>'."\n";

					  $html_modification.= "\t\t\t\t".'</table>'."\n";
					  $html_modification.= "\t\t\t".'</form>'."\n";

				$html_modification.= '</div>'."\n";
				###########################################################################
				return $html_modification;

				}
		}


		/*
		 * Return les commentaires dun content SQLgetNbComments
		 */
		private function get_comments($arguments = null) {

			$this->bdd  = $this->zwDb();
			
			$this->table_name = "news";

//			if($this->usr->auth() == true):		

			
/*			//$with_status = ($this->usr->auth() == true) ? false : true;
			$with_status = true;
			
			$status = 1;
			$req_status = ($with_status == true) ? " AND jc.content_right = ".$status."" : '';
			
			//$requete = $this->bdd->query("SELECT jc.*, c.*, jt.*, t.* FROM contents jc, contents_docs c,  tree jt, tree_language t WHERE jc.content_id_tree = jt.tree_id AND jt.tree_id = ".$id_tree." AND jt.tree_id = t.tree_id AND jc.content_id_join = c.id AND jc.content_id_type = 12 ".$req_status." ORDER BY jc.content_date_mod DESC", $this->connexion);
			$requete = $this->bdd->query("SELECT jc.*, c.content_title, c.content_uri, c.content_desc, c.content_img, jt.*, t.* FROM zw_contents jc, zw_contents_news c, zw_tree jt, zw_tree_language t WHERE jc.content_id_tree = jt.tree_id AND jt.tree_id = ".$id_tree." AND jt.tree_id = t.tree_id AND jc.content_id_join = c.content_id AND jc.content_id_type = 11 ".$req_status." ORDER BY jc.content_date_mod DESC", $this->connexion);

			$result = $this->bdd->fetch_array($requete);
			$contents = $result;			

			if(isset($contents)) {
				return $contents;
			} else
				return array();
*/				
		//	echo '<pre>'.print_r($arguments, 1).'</pre>';exit;
			
			$id_content = $arguments['id_content'];

	    	$this->module_id = $arguments['id_mod'];
			
			switch($this->module_id) {
				case 11:	$this->table_name = "news";	break;						
				case 12:	$this->table_name = "docs";	break;		
				case 13:	$this->table_name = "links"; break;		
				case 14:	$this->table_name = "pools"; break;		
				case 15:	$this->table_name = "gallery"; break;		
				
				default:	$this->table_name = "news";	break;		
												
			}

			//$requete = $this->bdd->query("SELECT j.*, c.* FROM zw_comments j, zw_comments_docs c WHERE j.comment_id_join=".$id_content." AND j.comment_id_type = 12 AND j.comment_id_join = c.comment_id AND j.comment_right = 1 ORDER BY j.comment_date_pub ASC", $this->connexion);	
			$requete = $this->bdd->query("SELECT j.*, c.*, j.comment_id AS comment_zid FROM zw_comments j, zw_comments_".$this->table_name." c WHERE j.comment_id_join = ".$id_content." AND j.comment_id_type = ".$this->module_id." AND j.comment_id_comment = c.comment_id AND j.comment_right = 1 ORDER BY j.comment_date_pub ASC", $this->connexion);	
			$comments = $this->bdd->fetch_array($requete);
			
			return $comments;

		}


		/*
		 * Return les commentaires dun content SQLgetNbComments
		 */
/*		public function get_comments_anonymes($id_comment_anonyme) {

			$this->bdd  = $this->zwDb();
			
			//$id_comment_anonyme = $arguments['id_comment_anonyme'];
			
			$this->table_name = "news";

//			if($this->usr->auth() == true):		

			
			//$with_status = ($this->usr->auth() == true) ? false : true;
			$with_status = true;
			
			$status = 1;
			$req_status = ($with_status == true) ? " AND jc.content_right = ".$status."" : '';
			
			//$requete = $this->bdd->query("SELECT jc.*, c.*, jt.*, t.* FROM contents jc, contents_docs c,  tree jt, tree_language t WHERE jc.content_id_tree = jt.tree_id AND jt.tree_id = ".$id_tree." AND jt.tree_id = t.tree_id AND jc.content_id_join = c.id AND jc.content_id_type = 12 ".$req_status." ORDER BY jc.content_date_mod DESC", $this->connexion);
			$requete = $this->bdd->query("SELECT jc.*, c.content_title, c.content_uri, c.content_desc, c.content_img, jt.*, t.* FROM zw_contents jc, zw_contents_news c, zw_tree jt, zw_tree_language t WHERE jc.content_id_tree = jt.tree_id AND jt.tree_id = ".$id_tree." AND jt.tree_id = t.tree_id AND jc.content_id_join = c.content_id AND jc.content_id_type = 11 ".$req_status." ORDER BY jc.content_date_mod DESC", $this->connexion);

			$result = $this->bdd->fetch_array($requete);
			$contents = $result;			

			if(isset($contents)) {
				return $contents;
			} else
				return array();
*/				
		//	echo '<pre>'.print_r($arguments, 1).'</pre>';exit;
/*			
			$id_content = $arguments['id_content'];

	    	$this->module_id = $arguments['id_mod'];
			
			switch($this->module_id) {
				case 11:	$this->table_name = "news";	break;						
				case 12:	$this->table_name = "docs";	break;		
				case 13:	$this->table_name = "links"; break;		
				case 14:	$this->table_name = "pools"; break;		
				case 15:	$this->table_name = "gallery"; break;		
				
				default:	$this->table_name = "news";	break;		
												
			}

			$req = "SELECT c.*, a.*, j.* 
				FROM zw_comments AS j, zw_comments_".$this->table_name." c, zw_comments_anonymes AS a 
				WHERE j.comment_id_usr = 0
				AND j.comment_id_join = ".$id_content."
				AND j.comment_id_type = ".$this->module_id."
				AND j.comment_id_comment = c.comment_id
				AND j.comment_id = a.comment_id_comment
				AND j.comment_right = 1
				ORDER BY j.comment_date_pub ASC";

			// requete simple
			$req = "SELECT a.* FROM zw_comments_anonymes a WHERE a.comment_id_comment = $id_comment_anonyme";

			$requete = $this->bdd->query($req, $this->connexion);
			
			$comment = $this->bdd->fetch_array($requete);

			return $comment;

		}
*/




		/*
		 * Return les nombre de commentaires dun content
		 */
		public function get_nb_comments($arguments = null)
		{
			//echo 'get_nb_comments<pre>'.print_r($arguments, 1).'</pre>';//exit;
			
			$this->bdd  = $this->zwDb();
			
			$this->table_name = "news";

			// MODULE
			//if(!$module) $id_mod = '2'; else	$id_mod = $module;
			//$id_mod = $arguments['id_mod'];
			$content_id = $arguments['id_content'];

	    	$this->module_id = $arguments['id_mod'];
			
			switch($this->module_id) {
				case 11:	$this->table_name = "news";	break;						
				case 12:	$this->table_name = "docs";	break;		
				case 13:	$this->table_name = "links"; break;		
				case 14:	$this->table_name = "pools"; break;		
				case 15:	$this->table_name = "gallery"; break;		
				
				default:	$this->table_name = "news";	break;		
												
			}

			$requete = $this->bdd->query("SELECT j.*, c.* FROM zw_comments j, zw_comments_".$this->table_name." c WHERE j.comment_id_join = ".$content_id." AND j.comment_id_type = ".$this->module_id." AND j.comment_id_comment = c.comment_id AND j.comment_right = 1 ORDER BY j.comment_date_pub ASC", $this->connexion);	
			//$comments = $this->bdd->fetch_array($requete);
						
			//if(isset($requete))
			// Requete
			$nb_commentaires = $this->bdd->num_rows($requete);

			if(isset($nb_commentaires)) return $nb_commentaires;
		}
}
?>