<?php
######################################################################
# ZW3B.Site v5.8.2 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2014/10/20
# Date Modify : 2015/08/19
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class zw3bModContents extends zw3bModules {
	
		function init($view, $module, $component, $arguments) {

			// Parcours du tableau $arguments
			if(is_array($arguments)):
			foreach ($arguments as $key => $value){
				$this->zwViews()->assign($key, $value);
			}
			endif;

			// on appele la methode
			$component_method = $module::$component($arguments);

			// on ecrit
			return self::render($view, $component_method);

			//return $component_render;
		}

		function render($view, $fields) {

			//$this->fields['body']  = '<br/> <pre>Fields : '.print_r($this,1).'</pre>';

			// Template
			if(file_exists($view)):
				$modele = @fopen ($view, 'r');
				$render_content = @fread ($modele, @filesize ($view));
				@fclose ($modele);

				// Parcours du tableau $fields
				if(is_array($this->fields)):
				foreach ($this->fields as $key => $value){
					// Remplacement des valeurs dans le modle
					$result = @ereg_replace ("{".$key."}", $value, $render_content);
					// Initialisation du contenu du template
					$render_content = $result;

				}
				endif;
			else:
				$render_content = '<p style="color:white; background-color:red;"><span style="color:white;">&nbsp;Error:</span> Template "<span style="color:black;">'.$view.'</span>" n\'existe pas !</p>';
			endif;

			return $render_content;
		}	
		
				
		protected function contents_type($module_id) {
			$zClass = "zw3bModContents";
			switch($module_id) {
				default:
				case "0": // all
					$zClass.= "";
				break;
				case "11": // news
					$zClass.= "News";
				break;				
				case "12": // docs
					$zClass.= "Docs";
				break;
				case "13": // pools
					$zClass.= "Pools";
				break;	
				case "14": // links
					$zClass.= "Links";
				break;	
				case "15": // gallery
					$zClass.= "Gallery";
				break;
			}
			echo $zClass;exit;
			
			$zwContents = new $zClass($this->config, $this->info);
			
			//$contents = $zwContents->get_contents();
			
			return $zwContents;
		}



		protected function get_contents($module_id,$tree_id=null,$offset=null,$limit=null) {

			$contents = array();
			$tmpcontents = array();
			
			//$wwwadmin = substr("//admin.zw3b.fr/",2,-1); $wwwadmin = substr("/zw3b-site/",1,-1);
			//$wwwadmin = substr($this->config['apps']['conf']['url'],2,-1);
			$wwwadmin = substr($this->config['apps']['conf']['url'],2, (substr($this->config['apps']['conf']['url'],-1) == "/" ? "-1": strlen($this->config['apps']['conf']['url']) ) ).'';

			if(
				(isset($this->info['folder'][0]) && $this->info['folder'][0] == $wwwadmin))
			{	
				$tree_id = (isset($tree_id) && !empty($tree_id)) ? $tree_id : 1;
			} else {
				$tree_id = (isset($tree_id) && !empty($tree_id)) ? $tree_id : $this->info['infos']['id'];
			}

			//echo " zw3bModContents>get_contents> ID ".$tree_id; 
			/* hack $module_id=11;*/ 
			switch($module_id) {
				case "0": //all
					$news = zw3bModContentsNews::get_contents($tree_id,$offset=null,$limit=null);
					$docs = zw3bModContentsDocs::get_contents($tree_id,$offset=null,$limit=null);
					//$pools = zw3bModContentsPools::get_contents($tree_id,$offset=null,$limit=null);
					//$links = zw3bModContentsLinks::get_contents($tree_id,$offset=null,$limit=null);
					//$gallery = zw3bModContentsGallery::get_contents($tree_id,$offset=null,$limit=null);

					$contents = array_merge(
											$news
											, $docs
											//, $links
											//, $gallery
											//, $pools
								);
					
					
					
				break;
				default:			
				case "11": // news
					$contents = zw3bModContentsNews::get_contents($this->info['infos']['id'],$offset=null,$limit=null);
				break;
				case "12": // docs
					$contents = zw3bModContentsDocs::get_contents($this->info['infos']['id'],$offset=null,$limit=null);
				break;
				case "13": // links
					$contents = zw3bModContentsLinks::get_contents($this->info['infos']['id'],$offset=null,$limit=null);
				break;
				case "14": // pools
					$contents = zw3bModContentsPools::get_contents($this->info['infos']['id'],$offset=null,$limit=null);
				break;
				case "15": // gallery
					$contents = zw3bModContentsGallery::get_contents($this->info['infos']['id'],$offset=null,$limit=null);
				break;
			}			
			//echo '<pre>CONT:'.print_r($contents,1).'</pre>';//exit;
			usort($contents, array($this->zwTools(), "compare_mod") );
			
			return $contents;
		}
		
					
		//public function get_contents_template_list($type, $content) {
		protected function zw3bModContentsTemplateList($type, $content) {
			//echo "<pre>".print_r($this->info,1)."</pre>";

				$type_id = $type;
				switch($type_id):
					case 11: return zw3bModContentsNews::zw3bModContentsNewsTemplateList($content);  break;
					case 12: return zw3bModContentsDocs::zw3bModContentsDocsTemplateList($content); break;
					case 13: return zw3bModContentsLinks::zw3bModContentsLinksTemplateList($content); break;
					case 14: return zw3bModContentsPools::zw3bModContentsPoolsTemplateList($content); break;
					case 15: return zw3bModContentsGallery::zw3bModContentsGalleryTemplateList($content); break;
				endswitch;
				
				
				
				
							
			//return self::contents_type($type)->get_contents_template_list($contents);
			
			//get_content_bloc_main_list_text
		}


					
		protected function zw3bModContentsAppTemplateList($type, $content) {
			//echo "<pre>".print_r($this->info,1)."</pre>";

				$type_id = $type;
				switch($type_id):
					case 11: return zw3bModContentsNews::zw3bModContentsNewsAppTemplateList($content);  break;
					case 12: return zw3bModContentsDocs::zw3bModContentsDocsAppTemplateList($content); break;
					case 13: return zw3bModContentsLinks::zw3bModContentsLinksAppTemplateList($content); break;
					case 14: return zw3bModContentsPools::zw3bModContentsPoolsAppTemplateList($content); break;
					case 15: return zw3bModContentsGallery::zw3bModContentsGalleryAppTemplateList($content); break;
				endswitch;
				
				
				
				
							
			//return self::contents_type($type)->get_contents_template_list($contents);
			
			//get_content_bloc_main_list_text
		}
		
		


		protected function get_content($module_id, $content_id) {

			//$body = "sqq<pre>".print_r($content_id,1)."</pre>";
			
			//echo $body;exit;
			
			switch($module_id) {		
				case "11": // news
					$content = zw3bModContentsNews::get_content($content_id,$offset=null,$limit=null);
					$module = "news";
				break;
				case "12": // docs
					$content = zw3bModContentsDocs::get_content($content_id,$offset=null,$limit=null);
					$module = "docs";
				break;
				case "13": // links
					$content = zw3bModContentsLinks::get_content($content_id,$offset=null,$limit=null);
					$module = "links";
				break;
				case "14": // pools
					$content = zw3bModContentsPools::get_content($content_id,$offset=null,$limit=null);
					$module = "pools";
				break;
				case "15": // gallery
					$content = zw3bModContentsGallery::get_content($content_id,$offset=null,$limit=null);
					$module = "gallery";
				break;
				//default:
				//	$content = zw3bModContentsDocs::get_content($content_id,$offset=null,$limit=null);
				//break;
			}
			
			//$content["type_caption"] = $module;
			
			return $content;
							
		}				
		
				
/*
		public function get_content_template_detail($type, $content = array()) {
			//return "TYPE:".$type." >>".$content['content_text']."";
			//echo ".";
			
			return self::contents_type($type)->get_content_template_detail($content);
		}
*/

		protected function get_content_type($uri) {
			
			$contents = self::get_contents(0);
			//echo " zw3bMoContents>get_content_type> ".$uri."<pre>".print_r($contents,1)."</pre>";	
			$this->info['contents'] = $contents;
			$this->info['contents'] = self::array_transforme($this->info['contents']);
			$exist = array_key_exists($this->info['file'][0], $this->info['contents']);
			//echo "<pre>".print_r($this->info['contents'],1)."</pre>";
			if($exist == true)
			{
				$type_id = $this->info['contents'][$uri]['content_id_type'];
				switch($type_id):
					default: case 11: return "news"; break;
					case 12: return "docs"; break;
					case 13: return "links"; break;
					case 14: return "pools"; break;
					case 15: return	"gallery"; break;
				endswitch;
						
			} 
				
			//else return false;
			//else echo "<pre>".print_r($this->info,1)."</pre>";
			//tmp
			else echo('Location: '.substr($this->info['hote'],0,-1).$this->info['page']['dir']);
		}

		private function array_transforme($items) {
		
			//@usort($items, array($this->zw3bTools(), "compare_mod") );
			if(isset($items) && is_array($items) ):
			$contents = array();
			foreach($items as $item) {
				//echo $cont['uri'].'<br/>';
				$contents[$item['content_uri']] = $item;
				//$contenu[$item['uri']]['type']='articles';
			}
			endif;
			
			return $contents;
		}

			
		protected function detail_main() {

			$contents = self::get_contents(0);		
			$this->info['contents'] = $contents;

			$this->info['contents'] = self::array_transforme($this->info['contents']);
		
			//echo "<pre>zw3bModContents>detail_main".print_r($this->info['contents'],1)."</pre>"; //exit;

			$exist = array_key_exists($this->info['file'][0], $this->info['contents']);

			$body = null;
			if($exist == true)
			{
				//$content = self::get_content($module_id);
				$uri = $this->info['file'][0];
				
				$this->info['content'] = $this->info['contents'][$uri];
				$module_id = $this->info['content']['content_id_type'];
				$content_id = $this->info['content']['content_id_join'];
				
				// on recupere le contenu
				$content = self::get_content($module_id, $content_id);
				//echo "<pre>zw3bModContents>detail_main".print_r($content,1)."</pre>"; //exit;
				
				$type_id = $module_id;
				switch($type_id):
					case 11: zw3bModContentsNews::get_detail($content); break;
					case 12: zw3bModContentsDocs::get_detail($content); break;
					case 13: zw3bModContentsLinks::get_detail($content); break;
					case 14: zw3bModContentsPools::get_detail($content); break;
					case 15: zw3bModContentsGallery::get_detail($content); break;
				endswitch;


				
				//self::get_content_template_detail($module_id, $content);

				//$body = "<pre>".print_r($this->fields,1)."</pre>";				

				//$this->zwViews()->assign ("text", $body);
				
			}
	
		}	
						


		
		protected function zw3bModContentsAppMenu($arguments) {
			//$wwwadmin = "//admin.zw3b.fr";
			//$wwwadmin = $this->config['apps']['conf']['url'];
			$wwwadmin = substr($this->config['apps']['conf']['url'],0, (substr($this->config['apps']['conf']['url'],-1) == "/" ? "-1": strlen($this->config['apps']['conf']['url']) ) ).'';
			
			$this->fields['opt'] = "";
			
		if($this->usr->auth() == true
			and 
			(
				$this->usr->root() == true	
				or $this->usr->admin() == true	
				or $this->usr->moderator() == true		
			)
		):
				
				$req = isset($this->info['page']['arguments']['url']) ? $this->info['page']['arguments']['url'] : "/".$this->info['page']['zw3bsite']."/";
				$req = ($this->info['file'][0] == "index") ? $req : str_replace($this->info['file'][0], "", $req); 

				$opt = '';
				$opt.= '<h4>Ajouter ';
				$opt.= '<a class="file16x16 tree" title="Ajouter un rpertoire  &quot;'.$req.'&quot;" href="'.$wwwadmin.'/tree/add'.$req.'"><span>Dossier</span></a> | ';
				$opt.= '<a class="file16x16 news" title="Ajouter une nouvelle  &quot;'.$req.'&quot;" href="'.$wwwadmin.'/contents/news/add'.$req.'"><span>Nouvelle</span></a> <span>-</span>  ';
				$opt.= '<a class="file16x16 docs" title="Ajouter une doc  &quot;'.$req.'&quot;" href="'.$wwwadmin.'/contents/docs/add'.$req.'"><span>Doc</span></a> <span>-</span> ';
				//$opt.= '<a class="file16x16 pools" title="Ajouter un sondage  &quot;'.$req.'&quot;" href="'.$wwwadmin.'/contents/pools/add'.$req.'"><span>Sondage</a> <span>-</span> ';
				//$opt.= '<a class="file16x16 gallery" title="Ajouter une galerie d\'images  &quot;'.$req.'&quot;" href="'.$wwwadmin.'/contents/gallery/add'.$req.'"><span>Galerie d\'images</span></a> <span>-</span> ';
				$opt.= '<a class="file16x16 links" title="Ajouter un lien web  &quot;'.$req.'&quot;" href="'.$wwwadmin.'/contents/links/add'.$req.'"><span>Lien Web</span></a>';
				$opt.= '</h4>';
				$opt.= '';
				
				$this->fields['opt'] = $opt;
			
			endif;
		}	

		protected function zw3bModContentsGet() {
			
			$rub = $this->info['page']['arguments']['url'];
			//echo "zw3bModContents>zw3bModContentsGet>><pre>".print_r($this->info,1)."</pre>"; exit;
			
			$rub = ($this->info['file'][0] == "index") ? $rub : str_replace($this->info['file'][0], "", $rub); 
			$infos = $this->zwTree()->getInfos($rub);
			
			$tree_id = $infos['id'];

			$module_id = 0;
			switch($module_id) {
				default: //all
				case "0": //all
					$news = zw3bModContentsNews::get_contents($tree_id,$offset=null,$limit=null);
					$docs = zw3bModContentsDocs::get_contents($tree_id,$offset=null,$limit=null);
					//$pools = zw3bModContentsPools::get_contents($tree_id,$offset=null,$limit=null);
					$links = zw3bModContentsLinks::get_contents($tree_id,$offset=null,$limit=null);
					//$gallery = zw3bModContentsGallery::get_contents($tree_id,$offset=null,$limit=null);

					$contents = array_merge(
											$news
											, $docs
											, $links
											//, $gallery
											//, $pools
								);
					
					
					
				break;	/*			
				case "1": // news
					$contents = zw3bModContentsNews::get_contents($tree_id,$offset=null,$limit=null);
				break;
				case "2": // docs
					$contents = zw3bModContentsDocs::get_contents($tree_id,$offset=null,$limit=null);
				break;
				case "3": // pools
					$contents = zw3bModContentsPools::get_contents($tree_id,$offset=null,$limit=null);
				break;
				case "47": // links
					$contents = zw3bModContentsLinks::get_contents($tree_id,$offset=null,$limit=null);
				break;
				case "51": // gallery
					$contents = zw3bModContentsGallery::get_contents($tree_id,$offset=null,$limit=null);
				break;
				*/
			}			

			usort($contents, array($this->zwTools(), "compare_mod") );

			$contents = self::array_transforme($contents);
			
			$exist = array_key_exists($this->info['file'][0], $contents);

			$body = null;
			if($exist == true)
			{
				//$content = self::get_content($module_id);
				$uri = $this->info['file'][0];
				
				$contents = $contents[$uri];
				$module_id = $contents['content_id_type'];
				$content_id = $contents['content_id_join'];
				
				// on recupere le contenu

				switch($module_id):
					case 11: return $content = zw3bModContentsNews::zw3bModContentsNewsGet($content_id); break;
					case 12: return $content = zw3bModContentsDocs::zw3bModContentsDocsGet($content_id); break;					
					case 13: return $content = zw3bModContentsLinks::zw3bModContentsLinksGet($content_id); break;
					case 14: return $content = zw3bModContentsPools::zw3bModContentsPoolsGet($content_id); break;
					case 15: return $content = zw3bModContentsGallery::zw3bModContentsGalleryGet($content_id); break;
				endswitch;

				
			} else return "error";
		}
		
					
		protected function zw3bModContentsAppIndex() {
			$head = "<h2>Gestion du contenus du site</h2>";
			
			$body = "";
			$body.= "<p>";
			$body.= 'Cette page permet d\'ajouter, de modifier, supprimer du contenu';
			$body.= "</p>";
			
			$body.= "<h3 class=\"file-32x32 news\"><a href=\"".$this->config['apps']['conf']['url']."contents/news/\">Nouvelles</a></h3>";
			$body.= "<ul>";
			$body.= '<li><a href="'.$this->config['apps']['conf']['url'].'contents/news/add/">Ajouter une nouvelle</a></li>';
			$body.= '<li><a href="'.$this->config['apps']['conf']['url'].'contents/news/lst/">Lister les nouvelles</a></li>';
			$body.= "</ul>";
/*
			$body.= "<h3 class=\"file-32x32 docs\"><a href=\"".$this->config['apps']['conf']['url']."contents/docs/\">Articles</a></h3>";
			$body.= "<ul>";
			$body.= '<li><a href="'.$this->config['apps']['conf']['url'].'contents/docs/add/">Ajouter un article</a></li>';
			$body.= '<li><a href="'.$this->config['apps']['conf']['url'].'contents/docs/lst/">Lister les articles</a></li>';
			$body.= "</ul>";			

			$body.= "<h3 class=\"file-32x32 pools\"><a href=\"".$this->config['apps']['conf']['url']."contents/pools/\">Sondages</a></h3>";
			$body.= "<ul>";
			$body.= '<li><a href="'.$this->config['apps']['conf']['url'].'contents/pools/add/">Ajouter un sondage</a></li>';
			$body.= '<li><a href="'.$this->config['apps']['conf']['url'].'contents/pools/lst/">Lister les sondages</a></li>';
			$body.= "</ul>";		

			$body.= "<h3 class=\"file-32x32 gallery\"><a href=\"".$this->config['apps']['conf']['url']."contents/gallery/\">Galeries</a></h3>";
			$body.= "<ul>";
			$body.= '<li><a href="'.$this->config['apps']['conf']['url'].'contents/gallery/add/">Ajouter une galerie</a></li>';
			$body.= '<li><a href="'.$this->config['apps']['conf']['url'].'contents/gallery/lst/">Lister les galeries</a></li>';
			$body.= "</ul>";		
*/
			$body.= "<h3 class=\"file-32x32 links\"><a href=\"".$this->config['apps']['conf']['url']."contents/links/\">Liens Web</a></h3>";
			$body.= "<ul>";
			$body.= '<li><a href="'.$this->config['apps']['conf']['url'].'contents/links/add/">Ajouter un lien Web</a></li>';
			$body.= '<li><a href="'.$this->config['apps']['conf']['url'].'contents/links/lst/">Lister les liens Web</a></li>';
			$body.= "</ul>";		
						
			$this->fields['body'] = $body;
			//$this->zwViews()->assign ("body", $body);
			//$this->zwViews()->assign ("foot", '');			
			$this->fields['head'] = $head;
			$this->fields['foot'] = "";				
		}				
		
		protected function zw3bModContentsLst() {
	
			$module_id = 0;
			$contents = null;
			
			$contents = self::get_contents(0);		

			
			$this->info['contents'] = $contents;

			$body = "";
			$body.= "<ul>";
			//$body = "<pre>".print_r($contents,1)."</pre>";	
			foreach($contents as $key => $content) {
				$content['get_class'] = ($key % 2 == "0") ? "default" : "color";
				$body.= self::zw3bModContentsTemplateList($content['content_id_type'], $content);
			}
			$body.= "</ul>";
			
			//$body = "<pre>".print_r($this->info['contents'],1)."</pre>";		
			//$body.= "<pre>".print_r($this->info['contents'],1)."</pre>";
			
			
			$this->fields['body'] = $body;
			//$this->zwViews()->assign ("body", $body);
			//$this->zwViews()->assign ("foot", '');			
			$this->fields['head'] = "<h3>Liste des pages</h3>";
			$this->fields['head'] = "";
			$this->fields['foot'] = "";
						
		}
		
		
		
		protected function zw3bModContentsAppLst() { /* old */
			$head = "<h2>Liste des contenus</h2>";
			$body = "";
						
			$module_id = 0; // all

			$url4list = isset($this->info['page']['arguments']['url']) && !empty($this->info['page']['arguments']['url']) ? $this->info['page']['arguments']['url'] : null;
			$infos4list = $this->zwTree()->getInfos($url4list);
			
			//$body = "<pre>".print_r($infos4list,1)."</pre>";	
			$tree_id = (isset($infos4list['id']) && !empty($infos4list['id'])) ? $infos4list['id'] : "1";
			
			$contents = self::get_contents($module_id, $tree_id, $offset=null, $limit=null);
			
			//$this->info['contents'] = $contents;

			$body = "";
			$body.= "<ul>";
			//$body = "<pre>".print_r($contents,1)."</pre>";	
			foreach($contents as $key => $content) {
				$content['get_class'] = ($key % 2 == "0") ? "default" : "color";
				$body.= self::zw3bModContentsAppTemplateList($content['content_id_type'], $content);
			}
			$body.= "</ul>";
			
			//$body = "<pre>".print_r($contents,1)."</pre>";		
			//$body.= "<pre>".print_r($this->info['contents'],1)."</pre>";
			
			$this->fields['class_bloc'] = $this->info['folder'][0] == "tree" ? "" : "";
			
			$this->fields['body'] = $body;
			$this->fields['head'] = $head;
			$this->fields['foot'] = "";					
		}
		
		protected function zw3bModContentsAppList() {
/*
			$this->zwViews()->assign ("description", '');

			$config['onglet_news'] = true;
			$config['onglet_docs'] = true;
			$config['onglet_gallery'] = true;
			$config['onglet_links'] = true;
			$config['onglet_pools'] = true;
			$config['onglet_statut'] = false;
			$config['onglet_forum'] = true;

			$this->fields['status_news'] = "";
			if($config['onglet_news'] == true)
			$this->fields['status_news'] = '<li><a href="#news" class="file16x16 item news">News</a></li>';

			$this->fields['status_docs'] = "";
			if($config['onglet_docs'] == true)
			$this->fields['status_docs'] = '<li><a href="#docs" class="file16x16 item docs">Docs</a></li>';

			$this->fields['status_gallery'] = "";
			if($config['onglet_gallery'] == true)
			$this->fields['status_gallery'] = '<li><a href="#gallery" class="file16x16 item gallery images">Galeries</a></li>';

			$this->fields['status_links'] = "";
			if($config['onglet_links'] == true)
			$this->fields['status_links'] = '<li><a href="#links" class="file16x16 item links">Liens</a></li>';

			$this->fields['status_pools'] = "";
			if($config['onglet_pools'] == true)
			$this->fields['status_pools'] = '<li><a href="#pools" class="file16x16 item pools">Sondages</a></li>';

			$this->fields['status_forum'] = "";
			//if($config['onglet_forum'] == true || $this->usr->session()->auth() == true)
			//$this->fields['status_forum'] = '<li><a href="#forum" class="file16x16 item forum">:-::-: &nbsp; Question ?</a></li>';
			
			$fil = preg_replace('/<(a|A) href="(.*?)"(.*?)>(.*?)<\/(a|A)>/e', "'\\4'", $this->info['page']['filarianne']);
			$fil = preg_replace('/<(span|SPAN) style="(.*?)"(.*?)>(.*?)<\/(span|SPAN)>/e', "'\\4'", $fil);
			$fil = str_replace(' *', ",", $fil);
			$fil = trim(substr(strstr($fil, ","), 1, strlen($fil)));

			if($config['onglet_forum'] == true)
			$this->fields['status_forum'] = '<li><a href="#forum" class="item forum" title="Une question '.$fil.' &agrave; poser ?">&nbsp; ?! &nbsp;</a></li>';
*/
			//echo preg_match('/(<a\s*(.*?)\s*href=[\'"]+?\s*(?P<link>\S+)\s*[\'"]+?\s*(.*?)\s*>\s*(?P<name>\S+)\s*<\/a>)/i', '$name', '<a href="http://toto.com">lien</a>');

			//$content =	preg_replace('/<(a|A) href="(.*?)"(.*?)>(.*?)<\/(a|A)>/e', "'\\4'", $this->info['page']['filarianne']);
			
			
			$module_id = 0;
			$contents = null;
			
			$contents = self::get_contents(0);		

			
			$this->info['contents'] = $contents;

			$body = "";
			$body.= "<ul>";
			//$body = "<pre>".print_r($contents,1)."</pre>";	
			foreach($contents as $key => $content) {
				$content['get_class'] = ($key % 2 == "0") ? "default" : "color";
				$body.= self::zw3bModContentsAppTemplateList($content['content_id_type'], $content);
			}
			$body.= "</ul>";
			
			//$body = "<pre>".print_r($this->info['contents'],1)."</pre>";		
			//$body.= "<pre>".print_r($this->info['contents'],1)."</pre>";
			
			
			$this->fields['body'] = $body;
			//$this->zwViews()->assign ("body", $body);
			//$this->zwViews()->assign ("foot", '');			
			$this->fields['head'] = "<h3>Liste des pages</h3>";
			$this->fields['foot'] = "";
			
		}


		
		protected function zw3bModContentsUne($argument = null) {
			$this->fields['head'] = "";
			$this->fields['body'] = "";		
			$this->fields['foot'] = "";					
		}


		protected function zw3bRadioModContentsMainList($argument = null) {
			$this->fields['head'] = "";
			$this->fields['body'] = "";		
			$this->fields['foot'] = "";						
		}
				
		protected function zw3bModContentsMainList($argument = null) {

			$this->zwViews()->assign ("description", '');

			$config['onglet_news'] = true;
			$config['onglet_docs'] = true;
			$config['onglet_gallery'] = true;
			$config['onglet_links'] = true;
			$config['onglet_pools'] = true;
			$config['onglet_statut'] = false;
			$config['onglet_forum'] = true;

			$this->fields['status_news'] = "";
			if($config['onglet_news'] == true)
			$this->fields['status_news'] = '<li><a href="#news" class="file16x16 item news">News</a></li>';

			$this->fields['status_docs'] = "";
			if($config['onglet_docs'] == true)
			$this->fields['status_docs'] = '<li><a href="#docs" class="file16x16 item docs">Docs</a></li>';

			$this->fields['status_gallery'] = "";
			if($config['onglet_gallery'] == true)
			$this->fields['status_gallery'] = '<li><a href="#gallery" class="file16x16 item gallery images">Galeries</a></li>';

			$this->fields['status_links'] = "";
			if($config['onglet_links'] == true)
			$this->fields['status_links'] = '<li><a href="#links" class="file16x16 item links">Liens</a></li>';

			$this->fields['status_pools'] = "";
			if($config['onglet_pools'] == true)
			$this->fields['status_pools'] = '<li><a href="#pools" class="file16x16 item pools">Sondages</a></li>';

			$this->fields['status_forum'] = "";
			//if($config['onglet_forum'] == true || $this->usr->session()->auth() == true)
			//$this->fields['status_forum'] = '<li><a href="#forum" class="file16x16 item forum">:-::-: &nbsp; Question ?</a></li>';
			
			$fil = preg_replace('/<(a|A) href="(.*?)"(.*?)>(.*?)<\/(a|A)>/e', "'\\4'", $this->info['page']['filarianne']);
			$fil = preg_replace('/<(span|SPAN) style="(.*?)"(.*?)>(.*?)<\/(span|SPAN)>/e', "'\\4'", $fil);
			$fil = str_replace(' *', ",", $fil);
			$fil = trim(substr(strstr($fil, ","), 1, strlen($fil)));

			if($config['onglet_forum'] == true)
			$this->fields['status_forum'] = '<li><a href="#forum" class="item forum" title="Une question '.$fil.' &agrave; poser ?">&nbsp; ?! &nbsp;</a></li>';

			//echo preg_match('/(<a\s*(.*?)\s*href=[\'"]+?\s*(?P<link>\S+)\s*[\'"]+?\s*(.*?)\s*>\s*(?P<name>\S+)\s*<\/a>)/i', '$name', '<a href="http://toto.com">lien</a>');

			//$content =	preg_replace('/<(a|A) href="(.*?)"(.*?)>(.*?)<\/(a|A)>/e', "'\\4'", $this->info['page']['filarianne']);
			
			
			$module_id = 0;
			$contents = null;
			
			$contents = self::get_contents(0);	

			$this->info['contents'] = $contents;

			$body = "";
			foreach($contents as $key => $content) {
				if(
					(
					$this->usr->root() == true or 
					$this->usr->admin() == true or 
					$this->usr->moderator() == true
					)
					or $content['content_right'] == 1
				):
				$body.= self::zw3bModContentsTemplateList($content['content_id_type'], $content);
				endif;
			}
			
			//$body.= "<pre>".print_r($contents,1)."</pre>";	
			//$body.= "<pre>".print_r($this->info,1)."</pre>";
			
			
			$this->fields['body'] = $body;
			//$this->zwViews()->assign ("body", $body);
			//$this->zwViews()->assign ("foot", '');			
			$this->fields['foot'] = "";
			
		}
		
/*		
		public function get_contents_all($id_rub,$offset=null,$limit=null) {

			$tree = "./var/tree/".$this->info['page']['zw3bsite'].$this->info['page']['dir'];
			include $tree."contenu.gen.php";
			if(isset($filecontents) && !empty($filecontents))
				$contenu = $filecontents;





			$tree = new zw3bTree();
			$tree->urlparse = $tree->parse();
			//$contents[0] = array();
			//echo '<pre>'.print_r($this->info, 1).'</pre>';exit;
			if($tree->urlparse['page']['dir'] == '/newsletter/quotidienne/'
			|| $tree->urlparse['page']['dir'] == '/newsletter/hebdomadaire/'
			|| $tree->urlparse['page']['dir'] == '/newsletter/mensuelle/'
			|| $tree->urlparse['page']['dir'] == '/newsletter/annuelle/'

			) {
			$rubriques = $tree->read_tree_inverse_pipe('/', 1, 0);
			//echo '<pre>'.print_r($tree->read_tree_inverse_now('/', 1, 0), 1).'</pre>';
			//echo '<pre>'.print_r($rubriques, 1).'</pre>';exit;
			} else
			$rubriques = $tree->read_tree_inverse_pipe($tree->urlparse['page']['dir'], 1, 0);

			// pour les VHOSTs
			if(
				($tree->urlparse['page']['dir'] == '/' && $this->info['uri'] == 'protocole://kss-0s.zw3b.fr')
			) {
				$rubriques = $this->get_tree_db_temp(1);

			}


			$rubriques = explode('|', $rubriques);


			foreach($rubriques as $rubrique) {
				if(!empty($rubrique))
				//echo $rubrique.' >> <br/>';
				$contents[] = self::get_contents_global($rubrique);
				//else
				//$contents[] = $this->get_contents_global($id_rub);
			}

			//if($id_rub == 1):
				//$contentss[] = $this->get_contents_global(1);
				//echo '<pre>'.print_r($contentss, 1).'</pre>';exit;
				//break;
			//endif;


			if(!empty($contents)):
			foreach($contents as $contentsRub) {
				//echo $cont['uri'].'<br/>';
				if(!empty($contentsRub)):
				foreach($contentsRub as $content) {
					$contenu[$content['uri']] = $content;
				}
				endif;
				//$contenu[$item['uri']]['type']='articles';
			}
			endif;

			//echo '<pre>'.print_r($contenu, 1).'</pre>';exit;
			if(isset($contenu) && is_array($contenu))
				$contenu = array_merge($this->get_contents_global($id_rub), $contenu);
			else
				$contenu = self::get_contents_global($id_rub);

			//echo '<pre>'.print_r($contenu, 1).'</pre>'; //exit;
			@usort($contenu, array($this->zw3bTools(), "compare_mod") );

			$genere_cache = false;
			if($this->usr->session()->auth() == true && $genere_cache == true) {
				$file = './var/tree'.$this->info['page']['dir'].'contenu.gen.php';
				$this->zw3bTools()->cache_write($file, $contenu);

				//echo '<pre>'.print_r($this->info, 1).'</pre>';
				//echo '<pre>'.print_r($contenu, 1).'</pre>';exit;
			}

			if(isset($contenu)) {
				return $contenu;
			} else
				return array();

		}
*/
		/////////////
		// TEMPLATE A BOUGER
		
		public function liste_main_v03() {

			//echo '<pre>zw3bModContents>liste_main> '.print_r($this->info, 1).'</pre>';
			$this->zwViews()->assign ("description", '');

			$config['onglet_news'] = true;
			$config['onglet_docs'] = true;
			$config['onglet_images'] = true;
			$config['onglet_links'] = true;
			$config['onglet_pools'] = true;
			$config['onglet_statut'] = false;
			$config['onglet_forum'] = false;

			$this->zwViews()->assign ("status_news", '');
			if($config['onglet_news'] == true)
			$this->zwViews()->assign ("status_news", '<li><a href="#news" class="item news">News</a></li>');

			$this->zwViews()->assign ("status_docs", '');
			if($config['onglet_docs'] == true)
			$this->zwViews()->assign ("status_docs", '<li><a href="#docs" class="item docs">Docs</a></li>');

			$this->zwViews()->assign ("status_images", '');
			if($config['onglet_images'] == true)
			$this->zwViews()->assign ("status_images", '<li><a href="#images" class="item images">Galeries</a></li>');

			$this->zwViews()->assign ("status_links", '');
			if($config['onglet_links'] == true)
			$this->zwViews()->assign ("status_links", '<li><a href="#links" class="item links">Liens</a></li>');

			$this->zwViews()->assign ("status_pools", '');
			if($config['onglet_pools'] == true)
			$this->zwViews()->assign ("status_pools", '<li><a href="#pools" class="item pools">Sondages</a></li>');

			$this->zwViews()->assign ("status_forum", '');
			if($config['onglet_forum'] == true || $this->usr->session()->auth() == true)
			$this->zwViews()->assign ("status_forum", '<li><a href="#forum" class="item forum">:-::-: &nbsp; Question ?</a></li>');


			$req_offset = 0;
			$req_limit = 100;
			$limit = 120;
//			$limit = 5;

			$contents = array();
			$docroot = $this->config['host']['documentroot'];
			$file = './var/tree/'.$this->info['page']['zw3bsite'].'/'.$this->info['page']['dir'].'contenu.gen.php';

			if(file_exists($docroot.$file)
				//&& $this->usr->session()->auth() == true
			)
			{
				//if($this->usr->session()->auth() == true)
				//echo 'FILE EXIST';
				$contents = self::zwTools()->cache_read($file);
			} else {
				//$contents = $this->zwModContents()->get_contents_all($this->info['infos']['id']);
				$contents = zw3bModContents::get_contents_all($this->info['infos']['id']);
			}
			//$contents = $this->get_contents_all($this->info['id']);

			$this->info['contents'] = $contents;

			//echo '<pre>'.print_r($contents,1).'</pre>';exit;

	$home = false;
	if($this->info['infos']['id'] == 1)
		$home = true;

			///////////////
			$body = null;
			//if(is_array($this->info['content']['photo'])):
			//if(isset($this->info['contents']['photo'][0]) && is_array($this->info['content']['photo'][0]) ):
			$body.= '<div class="container-item-nav">';

			////////////////////////
			// pagination
			$pag = 1;

			$i = 0;
			$nb4page = 30;
			$nb4page = $limit;
			//$nombre_items = count($contents);
			$nombre_items = count($contents);

			if( empty($_POST['pag']) ) {
				$offset = 0; // 0
				$limit = $nb4page; // 5
				$limit = $limit-1;
				$pag = 1;
			}
			else {
				if( isset($_POST['pag']) && !empty($_POST['pag']) && $_POST['pag'] != '0')
					$pag = $_POST['pag'];
				else
					$pag = 1;

				$offset = $nb4page*$pag-$nb4page; // 5
				$limit = $nb4page*$pag; // 10
				$limit = $limit-1;
			}
			// pagination
			// pagination link
			$total_pag = ceil($nombre_items/$nb4page);


			$limit = $offset + $limit - 1;
			$limit = $limit;

			////////////////////////

			$c=0;
			$hp=0;
			$type_content = '';
			if($contents == true):
			//foreach($contents as $content) {
			for($i=$offset;$i<=$limit;$i++) {
			if(isset($contents[$i]['online']) && $contents[$i]['online'] == true):
			// hack 1er array vide :/
			//if(isset($contents[$i]['date_pub']) && isset($contents[$i]['date_mod']) && isset($contents[$i]['date_end'])):

    if( ($contents[$i]['homepage'] == 1 && $home == 1) || $home == false) {
		    $hp++;

		if($i>$limit || ($i+1)>$nombre_items)
		    break;

			//$user = new zw3b
			$arguments['id_user'] = $contents[$i]['id_usr'];
			$user_comment = $this->usr->get_user($arguments);

			$nbr2_comment = 0;
            //$nbr2_comment = $comment->SQLgetNbComments($items[$i]['id_module'], $items[$i]['id']);

			$arguments['id_mod'] = $contents[$i]['id_module'];
			$arguments['id_content'] = $contents[$i]['id'];
			$comments = new zw3bModComments();
            $nbr2_comment = $comments->get_nb_comments($arguments);

			$c++;
			if(!isset($contents[$i]['id_rub'])) $contents[$i]['id_rub'] = 1;
			$rubriques = self::get_contents_all($contents[$i]['id_rub']);

			//echo '<pre>'.print_r($rubriques,1).'</pre>';
			//$contents[$i]['url'] = $this->zw3bModContent()->get_tree_url($rubriques).'/'.$contents[$i]['uri'];
/*
			$contents[$i]['url'] = $this->zwModContent()->get_tree_url($rubriques).'/'.$contents[$i]['uri'];
			$contents[$i]['url'] = (substr($contents[$i]['url'], 0, 1) == '/' && substr($contents[$i]['url'], 0, 13) == '/protocole://') ? substr($contents[$i]['url'], 1, strlen($contents[$i]['url'])) : $contents[$i]['url'];
			$contents[$i]['url'] = (substr($contents[$i]['url'], 0, 12) == 'protocole://') ? str_replace(array('protocole://'), array(''), $contents[$i]['url']) : $contents[$i]['url'];
			$contents[$i]['url'] = str_replace(array('www.zw3b.fr'), array(''), $contents[$i]['url']);
			$contents[$i]['url'] = self::zwTools()->protocole('www.zw3b.fr').$contents[$i]['url'];
*/
			$contents[$i]['url'] = "";
			$this->config['rootdir'] = $this->config['host']['documentroot'];
			
			//$parse = explode("/", str_replace('protocole://www.zw3b.fr/', 'root/', $contents[$i]['url']) );
			$parse = explode("/", str_replace('www.zw3b.fr', 'root', $contents[$i]['url']) );
			//echo '<pre>'.print_r($parse, 1).'</pre>';
			$count = count($parse);

				$body.= '<div class="item '.$contents[$i]['type'].'" rel="i'.$c.'" style="">';
				//if( isset($contents[$i]['photo']) && file_exists($this->config['rootdir'].$contents[$i]['photo']) && is_file($this->config['rootdir'].$contents[$i]['photo']) )
				//if( isset($data['photo']) )
				//	$body.= '<img src="'.$contents[$i]['photo'].'" alt="'.$contents[$i]['title'].'" style="width:960px; height:360px;"/>';

					$body.= '<div class="user">';
					$body.= '<div class="avatar">';
//						$body.= '<img src="/resize.php?src=/var/usr/k/s/s/./kss.0s/photos/avatar-201302Sun194753.jpg&amp;h=50&amp;w=50&amp;zc=1" alt="Kss.0s">';

                if( file_exists($this->config['rootdir'].'/'.$this->zwTools()->getpathFromSTRING($user_comment['log'], '/var/usr/').'/photos/'.$user_comment['avatar']) )
                    $body.= "\t\t\t\t\t".'<img src="/resize.php?src='.$this->zwTools()->getpathFromSTRING($user_comment['log'], '/var/usr/').'/photos/'.$user_comment['avatar'].'&amp;h=50&amp;w=50&amp;zc=1" alt="'.$user_comment['log'].'"/>'."\n";
                else
                    $body.= "\t\t\t\t\t".'<img src="/var/usr/avatar.png" alt="avatar" />'."\n";

                    $body.= '</div>';
					$body.= '</div>';

					$body.= '<div class="bulle">';

						$body.= '<div class="bulle_header"></div>';
						$body.= '<div class="bulle_corps">';
							$body.= '<span class="bulle_date file16x16 ';
							if($count>1):
							$body.= ''.$parse[1].' ';
							if($count>2)
							$body.= ''.$parse[2].' ';
							if($count>3)
							$body.= ''.$parse[3].' ';
							if($count>4)
							$body.= ''.$parse[4].'';
							endif;
							$body.= '" style="padding-left:20px;">';
							//$body.= '<span class="date">il y a bientt 5 mois, le 31/08/13  19h10<span style="display:none;"> (2013/08/31 19:10)</span></span>';

                        if($contents[$i]['date_pub'] != '0000-00-00 00:00:00' && $this->zwTools()->mk_time($contents[$i]['date_pub']) == $this->zwTools()->mk_time($contents[$i]['date_mod']) )
                            $body.= ''.$this->zwTools()->date_powa($contents[$i]['date_pub']);
                        elseif($contents[$i]['date_pub'] != '0000-00-00 00:00:00' && $this->zwTools()->mk_time($contents[$i]['date_pub']) < $this->zwTools()->mk_time($contents[$i]['date_mod']) )
                            $body.= ''.$this->zwTools()->date_powa($contents[$i]['date_mod']);
                        else $body.= ''.$this->zwTools()->date_powa($contents[$i]['date_pub']);


							//$body.= '<span class="date">'.$this->zw3bTools()->mk_time($contents[$i]['datetime_pub']).'<span style="display:none;"> (2013/08/31 19:10)</span></span>';
							$body.= '</span>';
							$body.= '<div class="del orj-245"></div>';
							$body.= '<span class="bulle_auth">';
							$body.= '<a style="border:none;" href="'.$this->zwTools()->protocole(str_replace('.', '-', strToLower($user_comment['log'])).'.zw3b.fr').'" title="Voir le profil de '.$user_comment['log'].'">'.$user_comment['log'].'</a>';

                            if($contents[$i]['date_pub'] != '0000-00-00 00:00:00' && $this->zwTools()->mk_time($contents[$i]['date_pub']) == $this->zwTools()->mk_time($contents[$i]['date_mod']) )
                                $body.= ' a publi&eacute; ';
                            elseif($contents[$i]['date_pub'] != '0000-00-00 00:00:00' && $this->zwTools()->mk_time($contents[$i]['date_pub']) < $this->zwTools()->mk_time($contents[$i]['date_mod']) )
                                $body.= ' a modifi&eacute; ';
                            else $body.= ' a publi&eacute; ';

                            if($contents[$i]['type'] == 'actualites')
                              $type_content = ' la nouvelle ';
                            if($contents[$i]['type'] == 'articles')
                              $type_content = ' l\'article ';
                            if($contents[$i]['type'] == 'images')
                              $type_content = ' la galerie d\'images ';
                            if($contents[$i]['type'] == 'links')
                              $type_content = ' le lien web ';
                            if($contents[$i]['type'] == 'videos')
                              $type_content = ' la galerie vid&eacute;os ';
                            if($contents[$i]['type'] == 'pools')
                              $type_content = ' le sondage ';

							$body.= ' '.$type_content.' ';

							$body.= '</span>';
							$body.= '<h3><a href="'.str_replace('protocole://www.zw3b.fr/', '', ''.substr($contents[$i]['url'],0, strlen($contents[$i]['url']))).'" style="border:none;">'.utf8_decode($contents[$i]['title']).'</a></h3>';
							//$body.= '<span class="bulle_rub"> &agrave; la rubrique <a href="/linux/">GNU/Linux</a>, <a href="/linux/reseaux/">Rseaux</a>.';

							// hack :/
							//$site->page['out']['id'] = $this->info['id'];
							$contents[$i]['tree_id'] = $contents[$i]['id_rub'];
							// hack :/

                            if( !empty($rubriques['rub']) && $rubriques['rub'][0]['id'] != $this->info['id'])
                            	$body.= '<span class="bulle_rub"> &agrave; la rubrique ';
                            else
                                $body.= '<span class="bulle_rub"> de cette rubrique';

                  		    if( !empty($rubriques['rub'][0]['parent']) && ($rubriques['rub'][0]['parent']['rub'][0]['id'] != $this->info['id'] && $rubriques['rub'][0]['id'] != $this->info['id']) )
                  		        $body.= '<a href="/'.$rubriques['rub'][0]['parent']['rub'][0]['uri'].'/">'.utf8_decode($rubriques['rub'][0]['parent']['rub'][0]['titre']).'</a>, ';

                            if( !empty($rubriques['rub'][0]['parent']) && !empty($rubriques['rub'][0]['parent']) && $contents[$i]['tree_id'] != $this->info['id'] ) {
                  		        //$body.= '<a href="'.str_replace('protocole://www.zw3b.fr', '', $rubriques['rub'][0]['parent']['rub'][0]['uri'].'/'.utf8_decode($rubriques['rub'][0]['uri'])).'/">'.utf8_decode($rubriques['rub'][0]['titre']).'</a>';
                  		        $rubrik = str_replace('protocole://www.zw3b.fr', '', ''.$rubriques['rub'][0]['parent']['rub'][0]['uri'].'/'.$rubriques['rub'][0]['uri']).'/';
                  		        $rubrik = (substr($rubrik, 0, 1) == '/') ? $rubrik : '/'.$rubrik;
                  		        $body.= '<a href="'.$rubrik.'">'.utf8_decode($rubriques['rub'][0]['titre']).'</a>';
                            } elseif( !empty($rubriques['rub']) && $rubriques['rub'][0]['id'] != $this->info['id'] )
                                $body.= '<a href="/'.$rubriques['rub'][0]['uri'].'/">'.utf8_decode($rubriques['rub'][0]['titre']).'</a>';

                            $body.= '.';


							$body.= '</span>';

                            $body.= "\t\t\t\t\t".'<span class="bulle_texte">'."\n";
                            //$body.= "<pre>".print_r($user ,1)."</pre>";
							$hauteur = null; $height = null;
							$largeur = null; $width = null;
                            if( $contents[$i]['id_module'] == 1 || $contents[$i]['id_module'] == 2 ) {
                                if( !empty($contents[$i]['vignette']) && file_exists($this->getConfig('rootdir').'/var/images/'.$contents[$i]['vignette']) ) {

                                    list($width, $height, $type, $attr) = @getimagesize($this->getConfig('rootdir').'/var/images/'.$contents[$i]['vignette']);

                                    if($width > $height) {
                                        $largeur = 130;
                                        $res = round($width / $largeur);
                                        $hauteur = round($height / $res);
                                    }
                                    if($width < $height) {
                                        $largeur = 100;
                                        $res = round($width / $largeur);
                                        $hauteur = round($height / $res);
                                    }

                                    $body.= "\t\t\t\t\t".'<img src="/resize.php?src=/var/images/'.$contents[$i]['vignette'].'&amp;w='.$largeur.'&amp;h='.$hauteur.'&amp;zc=1" alt="'.htmlentities($contents[$i]['title']).'" />'."\n";
                                }
                                $body.= "\t\t\t\t\t\t"./*nl2br*/utf8_decode($contents[$i]['description'])."\n";
                            }
                            if( $contents[$i]['id_module'] == 3 ) {

                                $body.= "\t\t\t\t\t\t"./*nl2br*/utf8_decode($contents[$i]['description'])."\n";

                            	//$zwPools = new zw3bModContentsPools();
								//$body.= $zwPools->pool_answers_get($contents[$i]);

                            }
                            if( $contents[$i]['id_module'] == 51 && !empty($contents[$i]['images'][0]['src']) ) {

                                $dest = $this->zwTools()->getpathFromSTRING($contents[$i]['log'], '/var/usr/').'/photos/'.$contents[$i]['uri'].'/';

                                if( !empty($contents[$i]['images'][0]['src']) && file_exists($this->getConfig('rootdir').''.$dest.''.$contents[$i]['images'][0]['src']) ) {

                                    list($width, $height, $type, $attr) = @getimagesize($this->getConfig('rootdir').'/'.$dest.''.$contents[$i]['images'][0]['src']);

                                    if($width > $height) {
                                        $largeur = 120;
                                        $res = round($width / $largeur);
                                        $hauteur = round($height / $res);
                                    }
                                    if($width < $height) {
                                        $largeur = 90;
                                        $res = round($width / $largeur);
                                        $hauteur = round($height / $res);
                                    }

                                    $body.= "\t\t\t\t\t".'<a class="img" style="height:'.($hauteur+6).'px;" href="'.str_replace('/protocole://www.zw3b.fr/', '', $contents[$i]['url']).'#'.$contents[$i]['images'][0]['uri'].'">';
                                    $body.= '<img src="/resize.php?src='.$dest.''.$contents[$i]['images'][0]['src'].'&amp;w='.$largeur.'&amp;h='.$hauteur.'&amp;zc=1" alt="'.htmlentities($contents[$i]['title']).'" />';
                                    $body.= '</a>'."\n";
                                }
                                if( !empty($contents[$i]['images'][1]['src']) && file_exists($this->getConfig('rootdir').'/'.$dest.''.$contents[$i]['images'][1]['src']) ) {

                                    list($width, $height, $type, $attr) = @getimagesize($this->getConfig('rootdir').'/'.$dest.''.$contents[$i]['images'][1]['src']);

                                    if($width > $height) {
                                        $largeur = 120;
                                        $res = round($width / $largeur);
                                        $hauteur = round($height / $res);
                                    }
                                    if($width < $height) {
                                        $largeur = 90;
                                        $res = round($width / $largeur);
                                        $hauteur = round($height / $res);
                                    }

                                    $body.= "\t\t\t\t\t".'<a class="img" style="height:'.($hauteur+6).'px;" href="'.str_replace('/protocole://www.zw3b.fr/', '', $contents[$i]['url']).'#'.$contents[$i]['images'][1]['uri'].'">';
                                    $body.= '<img src="/resize.php?src='.$dest.''.$contents[$i]['images'][1]['src'].'&amp;w='.$largeur.'&amp;h='.$hauteur.'&amp;zc=1" alt="'.htmlentities($contents[$i]['title']).'" />';
                                    $body.= '</a>'."\n";
                                }
                                if( !empty($contents[$i]['images'][2]['src']) && file_exists($this->getConfig('rootdir').'/'.$dest.''.$contents[$i]['images'][2]['src']) ) {

                                    list($width, $height, $type, $attr) = getimagesize($this->getConfig('rootdir').'/'.$dest.''.$contents[$i]['images'][2]['src']);

                                    if($width > $height) {
                                        $largeur = 120;
                                        $res = round($width / $largeur);
                                        $hauteur = round($height / $res);
                                    }
                                    if($width < $height) {
                                        $largeur = 90;
                                        $res = round($width / $largeur);
                                        $hauteur = round($height / $res);
                                    }

                                    $body.= "\t\t\t\t\t".'<a class="img" style="height:'.($hauteur+6).'px;" href="'.str_replace('/protocole://www.zw3b.fr/', '', $contents[$i]['url']).'#'.$contents[$i]['images'][2]['uri'].'">';
                                    $body.= '<img src="/resize.php?src='.$dest.''.$contents[$i]['images'][2]['src'].'&amp;w='.$largeur.'&amp;h='.$hauteur.'&amp;zc=1" alt="'.htmlentities($contents[$i]['title']).'" />';
                                    $body.= '</a>'."\n";
                                }

                                $body.= '<span style="display:block; clear:both;">';
                                $body.= "\t\t\t\t\t\t"./*nl2br*/utf8_decode($contents[$i]['description'])."\n";
                                $body.= '</span>';
                            }


                            $body.= "\t\t\t\t\t".'</span>'."\n";

                        //echo "\t\t\t\t".'</p>'."\n";
                        //echo "\t\t\t\t\t".'<span class="bulle_date">'.(date_powa($items[$i]['date_pub'])).'</span>'."\n";
                    $body.= "\t\t\t\t".'</div>'."\n";

						$body.= '<div class="bulle_footer" style="">';
/*
						$body.= '<ul id="action-'.$contents[$i]['id_module'].'-'.$contents[$i]['id'].'" class="action">'."\n";

                            $likeMe[$i] = $this->usr->sql()->getLike($contents[$i]['id_module'], $contents[$i]['id']);
                            $countLike[$i] = $this->usr->sql()->countLike($contents[$i]['id_module'], $contents[$i]['id']);

                            //echo '<li><a class="action-nolike" href="">J\'n\'aime pas</a></li>';
                            //if( $countLike[$i] >=1 || $this->usr->session_check() )
                            //if( $countLike[$i] >=1 || $this->usr->auth() )
                            if( $countLike[$i] >=1
                             || $this->usr->session()->auth() == true
                            )
                            {
                                $body.= '<li class="action-like">';
                                $body.= '<span>';
                                  if($countLike[$i] >=1)
                                    $body.= ($countLike[$i] > 1 ) ? ''.$countLike[$i].' personnes' : ''.$countLike[$i].' personne';
                                $body.= '</span>';
                                  if($this->usr->session()->auth() == true)
                                    $body.= ($likeMe[$i] == true) ? '<a href="#/unlike" class="unlike" title="Je n\'aime plus &ccedil;&agrave;">Je n\'aime plus</a>' : '<a href="#/like" class="like" title="J\'aime &ccedil;&agrave;">J\'aime</a>';
                                  //if($this->usr->session()->auth() == false)
                                  //  $body.= '<a href="#/like" class="like" title="J\'aime &ccedil;&agrave;">J\'aime</a>';

                                $body.= '</li>';
                            }
                            //if(in_array($this->server['HTTP_X_FORWARDED_FOR'], $this->debug['REMOTE_ADDR']) )
                            {

                                 $body.= '<li class="action-comment"><a href="'.str_replace('protocole://www.zw3b.fr/', '', $contents[$i]['url']).'#comments-add">';
                                 if($nbr2_comment >= 1)
                                 $body.= ($nbr2_comment <= 1) ? $nbr2_comment.' commentaire' : $nbr2_comment.' commentaires';
                                 if($nbr2_comment == 0)
                                 $body.= 'Soyez le 1er &agrave; r&eacute;agir !';
                                 $body.= '</a></li>';

                            }
                            //$body.= '<li class="action-abuse"><a href="">Signaler un abus</a></li>';

                        $body.= '</ul>'."\n";
*/

                        $body.= '<ul class="share">'."\n";

                            $body.= '<li class="share-txt">Partager sur : </li>'."\n";
                            $body.= '<li class="share-fb" onclick="window.open(\'http://www.facebook.com/sharer.php?u='.$contents[$i]['url'].'\', \'_blank\', \'scrollbars=yes,menubar=no,border=0,height=600,width=750,resizable=yes,toolbar=no,location=no,status=no\'); return false;" title="Partager sur Facebook"><a href="#/fb">Facebook</a></li>'."\n";
                            $body.= '<li class="share-twitter"><a title="Partager sur Twitter" style="display:block; text-indent:0; height:20px; width:20px;" href="http://twitter.com/home?status='.$this->zwTools()->string_encode(urlencode($contents[$i]['title'])).' >> '.$contents[$i]['url'].'" onclick="javascript:pageTracker._trackPageview (\'/outbound/twitter.com\');"></a></li>'."\n";
//                            $body.= '<li class="share-google-buzz" onclick="window.open(\'https://www.google.com/reader/link?url='.urlencode($contents[$i]['url']).'&amp;title='.$this->zwTools()->string_encode(urlencode($contents[$i]['title'])).'&amp;srcURL='.$contents[$i]['url'].'\', \'_blank\', \'scrollbars=yes,menubar=no,border=0,height=600,width=750,resizable=yes,toolbar=no,location=no,status=no\'); return false;" title="Partager sur Google Buzz"><a href="#/gbuzz">Google Buzz</a></li>'."\n";

                        $body.= '</ul>'."\n";




						$body.= '</div>';

					$body.= '</div>';

					//$body.= '<h4>'.$contents[$i]['title'].'</h4>';
					//$body.= '<p>'.$contents[$i]['description'].'</p>';


				$body.= '</div>';
		}
			endif;
			//endif;
			}
			endif;

			$body.= '</div>';

			//endif;
			///////////////

			//$this->zwViews()->assign ("head", '');
			$this->zwViews()->assign ("body", $body);
			$this->zwViews()->assign ("foot", '');


		}






}

?>