<?php
######################################################################
# ZW3B.Site v5.8.2 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2015/08/25
# Date Modify : 2015/08/25
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class zw3bModUsrActions extends zw3bActions {

    public function __construct() {
   	//echo "<pre>".print_r($this->infos,1)."</pre>";   
    	
    }



	/*
	 * Methode qui pointe sur une class des ConfigActions
	 * 
	 * $type = default || structures || skins || modules
	 * $action = add || mod || del
	 * 
	 */

    protected function zw3bModUsrActionsType($type, $action, $_post = null, $_files = null) {
  	
		$type = isset($type) && !empty($type) ? $type : null;
		$action = isset($action) && !empty($action) && $action != "index" ? $action : null;
 		$action = ($action == null) && isset($this->info['folder']['3']) && !empty($this->info['folder']['3']) ? $this->info['folder']['3'] : $this->info['file']['0'];
 
     	//echo "<pre>T:".print_r($type,1)."</pre>";   
    	//echo "<pre>A:".print_r($action,1)."</pre>";    exit;
  		
		if( isset($type) && !empty($type) ) {
			$class = "zw3bModUsrActions";
			$method = "zw3bModUsrActions".UcFirst($action);			
		}
		
		switch($type) {
			
			case "naut"; 
				//$class::$method($_post, $_files);

				switch($action) {

					case "auth"; case "forgot"; case "insc"; case "confirm"; 
						$method = "zw3bModUsrActions".UcFirst($type)."".UcFirst($action);
					
						$class::$method($_post, $_files);
					break;
				} 
				
			break;
			case "nist"; 
				switch($action) {
					case "mod"; case "add"; case "del";
						//$method = "zw3bModUsrActionsApp".UcFirst($type)."".UcFirst($action);
						$method = "zw3bModUsrActionsApp".UcFirst($action);
						
						$class::$method($_post, $_files);
					break;
					
					case "dlog"; case "compte"; case "notification";
					case "uoline";
					case "like"; case "unlike"; 
						$method = "zw3bModUsrActions".UcFirst($type)."".UcFirst($action);
					
						$class::$method($_post, $_files);
					break;
				} 
				
			break;			
			
/*
			 case "cookies"; case "session"; case "mysql"; //case "ldap"; 
			 case "insc"; case "forgot"; case "cookies"; 
				switch($action) {
					case "mod"; case "add"; case "del";
						$method = "zw3bModUsr".UcFirst($type)."Actions".UcFirst($action);
					
						$class::$method($_post, $_files);
					break;
				} 

			break;
*/			
		}    
    }
    
 	protected function zw3bModUsrActionsAppMod($_post = null, $_files = null) {
		
		//echo "zw3bModUsrActionsAppMod"; exit;
		
		if($this->usr->auth() == true) {

			zw3bModUsrMysqlActions::zw3bModUsrMysqlActionsAppMod($_post, $_files);
			//zw3bModUsrLdapActions::zw3bAdminModUsrLdapActionsUpd($_post, $_files);
			//zw3bModUsrSessionActions::zw3bAdminModUsrSessionActionsUpd($_post, $_files);
			
			//header('Location: '.$_SERVER['HTTP_REFERER'].'');
		} else  {


			//header('Location: '.$_SERVER['HTTP_REFERER'].'#forgot');
		}
		
		
	}

	protected function zw3bModUsrActionsAppAdd($_post = null, $_files = null) {
		
		if($this->usr->auth() == true) {

			zw3bModUsrMysqlActions::zw3bModUsrMysqlActionsAppAdd($_post, $_files);
		
			//header('Location: '.$_SERVER['HTTP_REFERER'].'');
		} else  {


			//header('Location: '.$_SERVER['HTTP_REFERER'].'#forgot');
		}
		
		
	}
	

	protected function zw3bModUsrActionsAppDel($_post = null, $_files = null) {
		
		if($this->usr->auth() == true) {
			
			zw3bModUsrMysqlActions::zw3bModUsrMysqlActionsAppDel($_post, $_files);
		
			//header('Location: '.$_SERVER['HTTP_REFERER'].'');
		} else  {


			//header('Location: '.$_SERVER['HTTP_REFERER'].'#forgot');
		}
		
	}   


	protected function zw3bModUsrActionsNautInsc($_post = null, $_files = null) {

		$this->bdd = $this->zwDb();

		//echo '>zw3bModUsrActions>insc><pre>'.print_r($_post, 1).'</pre>'; exit;
		$erreur = null;

		$id_dom = 30; // membre
		$valide = 0;

		$id_parent = $this->usr->session()->uid;

		$pseudo = $_post['field_identifiant']; $pseudo_mod = true;
		$email = $_post['field_email'];

		$passwd0 = $_post['field_m2p0'];
		$passwd1 = $_post['field_m2p1'];

		$civilite = $_post['field_civilite'];
		//$date_naiss = $_post['date_both']['annee'].'-'.$_post['date_both']['mois'].'-'.$_post['date_both']['jour'].' 00:00:00';

		$lvlnotif = 0;


        //////////////////////////////////////////////
        // PSEUDO

        $erreur['identifiant'] = false;
        $erreur['value']['identifiant'] = $pseudo;
        if( $pseudo_mod == true ) {

            if ( ereg("[^A-Za-z0-9_\-\. ]", $pseudo ) )
            	 $erreur['identifiant']=2;
            // PSEUDO < 3
            if(strlen($pseudo)< "3")
            	 $erreur['identifiant']=3;
            // PSEUDO vide
            if(empty($pseudo))
            	 $erreur['identifiant']=4;


          	//recherche pseudo par ID
          	//$pseudoActuelReq = $this->query("SELECT * FROM usr WHERE id_usr='".$id_user."'");
          	//$pseudoActuel = $this->fetch_array($pseudoActuelReq);
          	//if($pseudoActuel['log']!=$pseudo) {
          		// PSEUDO Existe
          		$pseudoReq = $this->bdd->query("SELECT * FROM zw_usr WHERE usr_pseudo='".$pseudo."'", $this->connexion);
          		$cptePseudo = $this->bdd->num_rows($pseudoReq);
          		if($cptePseudo != 0)
          			$erreur['identifiant']=1;
          	//}

        		#if($erreur[0]) {
          			// renvoie lerreur M2P sur la page
          			//header ("Location: ./admin/?op=ajt&erreur[0]=".$erreur[0]."#mod");
          			#exit();
        		#}
    		}
      	//////////////////////////////////////////////

      	//////////////////////////////////////////////
      	// EMAIL
		$erreur['email'] = false;
		$erreur['value']['email'] = $email;
      	// EMAIL invalide
      	if (!ereg('^[-!#$%&\'*+\\./0-9=?a-z^_`a-z {|} ~]+'.'@'.'[-!#$%&\'*+\\/0-9=?a-z^_`a-z {|} ~]+\.'.'[-!#$%&\'*+\\./0-9=?a-z^_`a-z {|} ~]+$',$email))
      	   $erreur['email']=2;
      	// EMAIL vide
      	if(empty($email))
      	   $erreur['email']=4;

      	//recherche email par ID
      	//$mailActuelReq = $this->query("SELECT * FROM usr WHERE id_usr='".$id_user."'");
      	//$mailActuel = $this->fetch_array($mailActuelReq);
      	//print_r2($mailActuel);
      	//if($mailActuel['mail'] != $email) {
      		// MAIL Existe
      		$mailReq = $this->bdd->query("SELECT * FROM zw_usr WHERE usr_email='".$email."'", $this->connexion);
      		$cpteMail = $this->bdd->num_rows($mailReq);
      		if($cpteMail != 0)
      			$erreur['email']=1;

      	//}

      	#if($erreur[1]) {
      		  // renvoie lerreur M2P sur la page
      		  //header ("Location: ./admin/?op=ajt&erreur[1]=".$erreur[1]."#mod");
      		  #exit();
      	#}
      	//////////////////////////////////////////////

      	//////////////////////////////////////////////
      	// PASSWORD
		$erreur['m2p'] = false;
      	// verification du mot de passe
      	if ($passwd0 != "" || $passwd1 != "") {

        		// PASSWORD caracteres
        		if (ereg('[^A-Za-z0-9_ .*\/+-]',$passwd0))
        			 $erreur['m2p']=2;
        		// PASSWORD <=5
        		if(strlen($passwd0)< "4")
        			 $erreur['m2p']=3;
        		// PASSWORD vide
        		if(empty($passwd0))
        			 $erreur['m2p']=4;
        		// PASSWORD equivalent PSEUDO
        		if($passwd0 == $pseudo)
        			 $erreur['m2p']=5;
        		// PASSWORD different VERIF
        		if($passwd0 != $passwd1)
        			 $erreur['m2p']=6;

            if(!$erreur['m2p'])
               $password = $passwd0;

        		#if($erreur[2]) {
          			// renvoie lerreur M2P sur la page
          			//header ("Location: ./admin/?op=ajt&erreur[2]=".$erreur[2]."#mod");
          			#exit();
        		#}

      	} else
          $erreur['m2p']=4; // vide

          #else {
      			// renvoie lerreur M2P sur la page
      			//header ("Location: ./admin/?op=ajt&erreur[2]=".$erreur[2]."#mod");
      			#exit();
      	#}
      	//////////////////////////////////////////////

      $retour['error'] = $erreur;

      //echo '>zw3bModUsrActions>insc><pre>'.print_r($retour, 1).'</pre>'; //exit;

    	//////////////////////////////////////////////////////////////////////////////////////
    	// AUCUNE ERREUR CRITIQUE > ON UPDATE LE RESTE
    	if(!$erreur['identifiant'] && !$erreur['email'] && !$erreur['m2p']) {

      		if($valide == 'on')
      			 $valid=1;



      		// AJOUTE LUSER
      		//$usrReq = $this->bdd->query("INSERT INTO zw_usr (usr_grp_id, usr_pseudo, usr_email, usr_pwd, usr_notification, usr_date_birth, usr_gender) VALUES ('".$id_dom."','".$pseudo."','".$email."','".md5($password)."','".$lvlnotif."','".$date_naiss."','".$civilite."')", $this->connexion);
      		$usrReq = $this->bdd->query("INSERT INTO zw_usr (usr_grp_id, usr_pseudo, usr_email, usr_pwd, usr_notification, usr_gender, usr_date_insc) VALUES ('".$id_dom."','".$pseudo."','".$email."','".md5($password)."','".$lvlnotif."','".$civilite."', now() )", $this->connexion);
      		//$id_user = MYSQL_INSERT_ID();
      		$id_user = $this->bdd->last_insert_id();

			//$string4validation = "VA".md5($_post['field_identifiant'].$_post['field_email'])."";

      		//$validation = md5(md5($password).$pseudo.$email);

      		//$usrInscReq = $this->bdd->query("INSERT INTO usr_insc (id_usr, valide, date_insc) VALUES ('".$id_user."','".$validation."', now() )", $this->connexion);

          //$this->SQLmyip_check('insc', $id_user);

			//$notification = new zw3bNotification();
			//$_post['sc'] = 'insc';
			//$notif  = $notification->push($_post, $type=5); // type == membre

      		##################################################
      		# EMAIL RE-VALIDATION (Envoy  lutilisateur)

      		// Encodage de la cl de l'URL de validation
      		$Str2ValiD=$Str2ValiD=md5($pseudo.md5($password).$email);
      		$Link2ValiD=$this->zwTools()->protocole($_SERVER["HTTP_HOST"])."/actions/usr/confirm/".$Str2ValiD."?iv=".$email;

      		$mail_from = "ZW3B <www-data@web.zw3b.fr>";
      		$mail_to = $email;
      		$mail_subject = ":-::-: Validation de votre inscription ZW3B.FR";
      		$type = "txt";
      		$message = "Bonjour,\n\n";
      		$message.= "Vous venez de vous inscrire sur ZW3B.FR. Nous vous souhaitons la bienvenue !\n\n";
      		$message.= "Une fois votre inscription valide vous allez tre rediriger sur votre compte. Vous pourez ajouter les informations vous concernant et profiter des services ZW3B.\n\n";
      		$message.= "Cliquer sur le lien suivant : ".$Link2ValiD." pour confirmer dfinitivement votre inscription.\n\n";
      		$message.= "Cordialement,\n";
      		$message.= "l'quipe ZW3B";

      		//'Date: '.date('d.m.Y h:i').'' . "\r\n" .
      		$headers = 'From: '.$mail_from.'' . "\r\n" .
      		'MIME-Version: 1.0' . "\r\n" .
          	'Content-type: text/plain;  charset=UTF-8' . "\r\n" .
          	//'Content-type: text/html; charset=iso-8859-1\r\n' .
      		'X-Mailer: PHP/' . phpversion();

      		//echo $message; exit;

      	//if($_SERVER["SERVER_ADDR"]==SERVER_IP_DEV) // serveur DEV
      			mail($mail_to, $mail_subject, utf8_encode($message), $headers);
      	//else // serveur PROD
      	//		sendMail($type,$mail_to,$mail_from,$mail_subject,$message);

        	//header('Location: '.$_SERVER['HTTP_REFERER'].'#attente'); exit;
        	//header('Location: '.$this->zwTools()->protocole($_SERVER["HTTP_HOST"]).''); exit;
  
          		# EMAIL RE-VALIDATION (Envoy  lutilisateur)
      		##################################################



		$arguments['return']['ok'] = 1;

		echo zw3bViews::getView("zw-main0", "./sys/modules/usr/default/tpl/zw-usr.bloc.php", "zw3bModUsr", "index", $arguments); exit;

		//parent::index($arguments);
         //return $arguments;
         //  header("Location: ".$_SERVER["HTTP_REFERER"]."#inscok");
  	  }
  	  else {
		$arguments['return']['error'] = $retour['error'];

		//echo '>zw3bModUsrActions>insc><pre>'.print_r($arguments, 1).'</pre>'; exit;

		//echo zw3bModUsr::index($arguments);

		echo zw3bViews::getView("zw-main0", "./sys/modules/usr/default/tpl/zw-usr.bloc.php", "zw3bModUsr", "index", $arguments); exit;


         //return $arguments;
         // header("Location: ".$_SERVER["HTTP_REFERER"]."#inscerror");
	}
      //////////////////////////////////////////////////////////////////////////////////////



/*
    	$userInscReq = $this->db->query("INSERT
    										INTO usr (id_dom, id_parent, log, email, valide, date_insc, date_naiss, sexe)
    										VALUES ('".$id_dom."', '".$id_parent."', '".$identifiant."', '".$email."', '".$valide."', now(), '".$date_naiss."', '".$civilite."')");
*/

	}

	
    #####################################################
  	//function zw3bModUsrActionsConfirm($type, $_post, $_files = null, $uid = null)
   	protected function zw3bModUsrActionsNautConfirm($_post, $_files = null)
  	{
  	     //print_r2($_post);

   	    //if ($uid != "") $uid = $uid;
        //else $uid = $this->iam();

		//echo 'zw3bModUsrActionsConfirm<pre>'.print_r($_post,1).'</pre>';

		//exit;


        //if( $this->nobody() == false )
        //  $parent = $this->SQLgetUserByID($uid);

        //$domaine = 30;
        ////////////////////
        // inscription validation du mail
/*
        if(!empty($_post['pseudo'])) $pseudo  =   $_post['pseudo']; else $retour['error'][11]=1;
        if(!empty($_post['email']))  $email   =   $_post['email'];  else $retour['error'][12]=1;
        if(!empty($_post['vs']))     $chaine  =   $_post['vs'];     else $retour['error'][13]=1;

*/
        if( isset($_post['validation']['string'])
        	&& !empty($_post['validation']['string'])
        	&& substr($_post['validation']['string'], 0, 10) == 'ZW3BVALIDE'
        ) 
        {
        	$this->bdd = $this->zwDb();
        	
        	$chaine = substr($_post['validation']['string'], 10, strlen($_post['validation']['string']) );

        	//echo '<pre>'.print_r($chaine,1).'</pre>';
        	//exit;
          	//recherche email
          	$userReq = $this->bdd->query("SELECT * FROM zw_usr WHERE usr_email='".$_post['validation']['user']."' AND usr_date_validation = '0000-00-00 00:00:00' LIMIT 1", $this->connexion);
          	//$userReq = $this->bdd->query("SELECT i.*, u.usr_pseudo, u.usr_pwd, u.usr_email FROM zw_usr_insc i, zw_usr u WHERE i.valide='".$chaine."' AND u.id_usr = i.id_usr LIMIT 1", $this->connexion);
          	$user = $this->bdd->fetch_array($userReq);
          	$cpteUser = $this->bdd->num_rows($userReq);

          	//echo '<pre>'.print_r($user,1).'</pre>';//exit;

          	if($cpteUser == 1) {
                // Encodage de la cl de validation
                //$string4validation = "VA".md5($user[0]['log'].$user[0]['pwd'].$user[0]['mail']);
                //$string4validation = "".md5($user['log'].$user['pwd'].$user['mail']);
                $string4validation = "".md5($user[0]['usr_pseudo'].$user[0]['usr_pwd'].$user[0]['usr_email']);

				//echo '<pre>'.print_r($chaine. ' == '.$string4validation,1).'</pre>'; exit;

          	    if($string4validation == $chaine) {

				//echo 'VALIDATION : <pre>'.print_r($string4validation. ' == '.$chaine,1).'</pre>'; exit;
//exit;
                    //$usrOKayReq = $this->db->query("UPDATE usr SET pwd='".md5($user[0]['pwd'])."', valide=1 WHERE id_usr = '".$user[0]['id_usr']."'", $this->connexion);
                    $usrOKayReq = $this->bdd->query("UPDATE zw_usr SET usr_date_validation=now(), usr_date_insc='".$user[0]['usr_date_insc']."' WHERE usr_id = '".$user[0]['usr_id']."'", $this->connexion);
                    $usrAddReq = $this->bdd->query("INSERT INTO zw_usr_addr (usr_id) VALUES ('".$user[0]['usr_id']."')", $this->connexion);
                    $usrContactReq = $this->bdd->query("INSERT INTO zw_usr_contact (usr_id) VALUES ('".$user[0]['usr_id']."')", $this->connexion);

                    //$usrDELReq = $this->bdd->query("DELETE FROM usr_insc WHERE valide = '".$chaine."' LIMIT 1", $this->connexion);
/*
                    // if(!is_object($notification))
                    $notification = new zw3bNotification();

                    $_post['sc'] = 'confirm';
                    $_post['field_identifiant'] = $user[0]['log'];
                    $_post['field_email'] = $user[0]['mail'];

                    $notif  = $notification->push($_post,$type=5); // membre
*/
                    // on connect luser
                    //$this->connexion($user[0]['log'], $user[0]['pwd']);

                    $retour['text'][]='La confirmation d\'inscription &agrave; &eacute;t&eacute; effectu&eacute;e.';

					header("Location: /club/#auth"); exit;
                    return false;

                } else {
					
					header("Location: /club/#algo"); exit;
                    $retour['error']['chaine']['text'][]='Algorithme';  // chaine false
                    //$retour['error']['chaine']['val']=$string4validation;  // chaine true
                    return $retour;
                }
        	  }
        	  else {
        	      header("Location: /club/#exist"); exit;
        	      
        	      $retour['error']['usr']['text'][]='Utilisateur deja enregister ou invalide'; // usr false
        	      return $retour;
            }

          //  return false;
        }

        //////////////////////////////////////////////


    }

	
	protected function zw3bModUsrActionsNautAuth($_post = null, $_files = null) {
	//function login($arguments = array()) {

		//$this->usr->session()->start();

		//echo '>zw3bModUsrActions>zw3bModUsrActionsNautAuth><pre>'.print_r($_post, 1).'</pre>'; exit;

		if(($this->user = $this->usr->log_user($_post)) == true):

			$this->usr->session()->assign_user($this->user);
			$this->usr->session()->auth_assign();

			//echo '>zw3bModUsrActions>zw3bModUsrActionsNautAuth><pre>'.print_r($this->user, 1).'</pre>'; exit;
			
			$this->usr->ulastname = $this->user['usr_lastname'];
			$this->usr->ufirstname = $this->user['usr_firstname'];
			
			$this->usr->ubirthday = $this->user['usr_date_birthday'];
			$this->usr->ucountry = $this->user['usr_firstname'];
			$this->usr->ucity = $this->user['usr_firstname'];
			$this->usr->uaddr = $this->user['usr_firstname'];
			
			////////////////////////////
			// si on veut faire se logguer sur un autre vhost
/*			if($this->usr->session()->valide == true ):
			$config['origine'] = '';
			$config['host'] = "kss-0s.zw3b.fr";
			$config['port'] = "80";
			$config['path'] = "/actions/usr/login";
			$config['method'] = "POST";
			//$config['origine'] = substr($this->infos['url']['hote'],0,-1).''.$this->infos['url']['uri'];
			$config['data'] = $_post;
			$logs_in = $this->zw3bTools()->sendHttp($config['host'],$config['path'],$config['data'],$config['method']='POST',$config['origine'],$config['port']);

			echo "<pre>".print_r($logs_in, 1)."</pre>";
			//exit;
			endif;
*/			////////////////////////////
			// tmp
//			header("Location: ".$_SERVER['HTTP_REFERER']);

			//$notification = new zw3bNotification();
			//$_post['sc'] = 'auth';
			//$notif  = $notification->zw3bNotificationPush($_post, $type=1); // type == membre

		endif;

		//$this->usr->get_users();

		//echo '>login>> <pre>'.print_r($this->usr->log_user($_post), 1).'</pre>'; exit;


		//echo '>>><pre>'.print_r($this->usr->get_users(), 1).'</pre>'; exit;
		//self::refresh();

		//$auth = parent::auth($_post);


		//if(!is_object($notification))


		//echo '<pre>'.print_r($notif,1).'</pre>'; exit;


		if($this->usr->auth() == true) {

			header('Location: '.$_SERVER['HTTP_REFERER']);

		} else  {
/*
			//echo "ERROR";
			
			$pseudo = $_post['field_identifiant'];
			$erreur['identifiant'] = false;
            if ( ereg("[^A-Za-z0-9_\-\. ]", $pseudo ) )
            	 $erreur['identifiant']=2;
            // PSEUDO < 3
            if(strlen($pseudo)< "3")
            	 $erreur['identifiant']=3;
            // PSEUDO vide
            if(empty($pseudo))
            	 $erreur['identifiant']=4;

    		// PASSWORD caracteres
    		$erreur['m2p'] = false;
    		if (ereg('[^A-Za-z0-9_ .*\/+-]',$passwd0))
    			 $erreur['m2p']=2;
    		// PASSWORD <=5
    		if(strlen($passwd0)< "4")
    			 $erreur['m2p']=3;
    		// PASSWORD vide
    		if(empty($passwd0))
    			 $erreur['m2p']=4;
    		// PASSWORD equivalent PSEUDO
    		if($passwd0 == $pseudo)
    			 $erreur['m2p']=5;
    		// PASSWORD different VERIF
    		if($passwd0 != $passwd1)
    			 $erreur['m2p']=6;
    			            	 		
			$retour['error'] = $erreur;
			$arguments['return']['error'] = $retour['error'];
			
			echo zw3bViews::getView("zw-main0", "./sys/modules/usr/default/tpl/zw-usr.bloc.php", "zw3bModUsr", "index", $arguments); exit;
*/			
			header('Location: '.$_SERVER['HTTP_REFERER'].'#auth');
		}
	}

 

    protected function zw3bModUsrActionsNautForgot($arguments) {

    	$erreur = array();
    	$this->bdd = $this->zwDb();

    	//echo '>zw3bModUsrActions>Forgot><pre>'.print_r($arguments, 1).'</pre>'; exit;

        if( ($arguments['field_identifiant'] && !empty($arguments['field_identifiant'])) && empty($arguments['field_email']) ) {
        	$usrSiteCherche = $this->bdd->query("SELECT * FROM zw_usr WHERE usr_pseudo='".$arguments['field_identifiant']."'", $this->connexion);
        	$usrSiteCompte = $this->bdd->num_rows($usrSiteCherche);
        }
         elseif( ($arguments['email'] && !empty($arguments['field_email'])) && empty($arguments['field_identifiant']) ) {
        	$usrSiteCherche = $this->bdd->query("SELECT * FROM zw_usr WHERE usr_email='".$arguments['field_email']."'", $this->connexion);
        	$usrSiteCompte = $this->bdd->num_rows($usrSiteCherche);
        }
         elseif( ($arguments['email'] && !empty($arguments['field_email'])) && ($arguments['field_identifiant'] && !empty($arguments['field_identifiant'])) ) {
        	$usrSiteCherche = $this->bdd->query("SELECT * FROM zw_usr WHERE usr_email='".$arguments['field_email']."' AND  usr_pseudo='".$arguments['field_identifiant']."'", $this->connexion);
        	$usrSiteCompte = $this->bdd->num_rows($usrSiteCherche);
        }


        if($usrSiteCompte == "1") {

            $usrSite = $this->bdd->fetch_object($usrSiteCherche);
      		//echo '>zw3bModUsrActions>insc><pre>'.print_r($usrSite, 1).'</pre>'; //exit;

            if(isset($usrSite->usr_date_validation) && $usrSite->usr_date_validation == "0000-00-00 00:00:00") {
              $erreur[1]=0; // User nayant pas confirm son inscription

          		##################################################
          		# EMAIL RE-VALIDATION (Envoy  lutilisateur)

          		// Encodage de la cl de l'URL de validation
          		$Str2ValiD=md5($usrSite->usr_pseudo.$usrSite->usr_pwd.$usrSite->usr_email);
          		$Link2ValiD=$this->zwTools()->protocole($_SERVER["HTTP_HOST"])."/actions/usr/confirm/".$Str2ValiD."?iv=".$usrSite->usr_email;

          		$mail_from = "ZW3B <www-data@web.zw3b.fr>";
          		$mail_to = $usrSite->usr_email;
          		$mail_subject = ":-::-: Validation de votre inscription ZW3B.FR";
          		$type = "txt";
          		$message = "Bonjour,\n\n";
          		$message.= "Vous venez de vous inscrire sur ZW3B.FR. Nous vous souhaitons la bienvenue !\n\n";
          		$message.= "Une fois votre inscription valide vous allez tre rediriger sur votre compte. Vous pourez ajouter les informations vous concernant et profiter des services ZW3B.\n\n";
          		//$message.= "merci de cliquer sur le lien suivant : ".$this->zwTools()->protocole($_SERVER["HTTP_HOST"])."/?op=confirm&v=".$UrL2ValiD."&iv=".$usrSite->usr_email." pour confirmer dfinitivement votre inscription.\n\n";
          		$message.= "Cliquer sur le lien suivant : ".$Link2ValiD." pour confirmer dfinitivement votre inscription.\n\n";
          		$message.= "Cordialement,\n";
          		$message.= "l'quipe ZW3B";

          		//'Date: '.date('d.m.Y h:i').'' . "\r\n" .
          		$headers = 'From: '.$mail_from.'' . "\r\n" .
          		'MIME-Version: 1.0' . "\r\n" .
	          	'Content-type: text/plain;  charset=UTF-8' . "\r\n" .
	          	//'Content-type: text/html; charset=iso-8859-1\r\n' .
          		'X-Mailer: PHP/' . phpversion();

          		//echo $message; exit;

          	//if($_SERVER["SERVER_ADDR"]==SERVER_IP_DEV) // serveur DEV
          			mail($mail_to, $mail_subject, utf8_encode($message), $headers);
          	//else // serveur PROD
          	//		sendMail($type,$mail_to,$mail_from,$mail_subject,$message);

            	header('Location: '.$_SERVER['HTTP_REFERER'].'#attente'); exit;
            	//header('Location: '.$this->zwTools()->protocole($_SERVER["HTTP_HOST"]).''); exit;
  
          		# EMAIL RE-VALIDATION (Envoy  lutilisateur)
          		##################################################
            }
            /*
            if($usrSite->valide == 2) {
              $erreur[1]=1; // User avec un compte ferm par un administrateur
              //header("Location: ./usr.php?op=oublie&erreur[1]=".$erreur[1]);
            //  exit();
            }*/

	        if(!isset($erreur[1])) {
	          	# creation mot de passe dynamique
	          	$taille = 7;
	          	$lettres = "abcdefghijklmnopqrstuvwxyz0123456789";
	          	srand(time());
	
	          	$m2p = null;
	          	for ($i=0;$i<$taille;$i++) {
	          	 $m2p.=substr($lettres,(rand()%(strlen($lettres))),1);
	          	}
	
	          	# Enregistre les variables de session si luser est identifier
	          	$updateUSR = $this->bdd->query("UPDATE zw_usr SET usr_pwd='".md5($m2p)."' WHERE usr_id = '".$usrSite->usr_id."'", $this->connexion);
	
	            ################
	          	$mail_subject   = (":-::-: Recuperation de vos identifiants ZW3B.FR");
	
	          	$message = "Bonjour,\n\n";
	          	$message.= "Vous avez souhait rcuprer votre mot de passe ZW3B.FR\n\n";
	          	$message.= "Rappel de vos paramtres d'identification :\n\n";
	          	$message.= "Identifiant : ".$usrSite->usr_pseudo."\n";
	          	$message.= "Email : ".$usrSite->usr_email."\n\n";
	          	$message.= "Nouveau mot de passe : ".$m2p."\n\n";
	          	$message.= "Nous vous conseillons de modifier vous-mme votre mot de passe dans votre compte membre.\n\n";
	
	          	$message.= "\n\nCordialement,\n\nL'quipe ZW3B";
	
	          	$mail_from = "ZW3B <www-data@web.zw3b.fr>";
	          	$mail_to = $usrSite->usr_email;
	
	          ################
	
	          	#sendMail("txt",$to,$from,$sujet, $message);
	
	          	$headers = 'From: '.$mail_from.'' . "\r\n" .
	          	'MIME-Version: 1.0' . "\r\n" .
	          	'Content-type: text/plain;  charset=UTF-8' . "\r\n" .
	          	//'Content-type: text/html; charset=iso-8859-1\r\n' .
	          	'X-Mailer: PHP/' . phpversion();
	
	            //echo "MESSAGE : ".$message; exit;
	          //if($_SERVER["SERVER_ADDR"]==SERVER_IP_DEV) // serveur DEV
	          	mail($mail_to, $mail_subject, utf8_encode($message), $headers);
	          //else // serveur PROD
	          	//sendMail($type,$mail_to,$mail_from,$mail_subject,$message);
	
	          	//header ("Location: ./usr.php?op=oublie&envoie=1");
	          	header('Location: '.$_SERVER['HTTP_REFERER'].'#send'); exit;
	            return false;
	        }
	        else
	       	return $erreur;


            
          //header('Location: '.$_SERVER['HTTP_REFERER'].'#error'); exit;
        }



    }


		
	protected function zw3bModUsrActionsNistLike($_post = null, $_files = null) {

		//echo '>zw3bModUsrActions>like><pre>'.print_r($_post, 1).'</pre>'; exit;
		//---------------------------
		// Script
		$this->bdd = $this->zwDb();
		
		if($this->usr->session()->auth() == true)
			$id_usr = $this->usr->session()->uid;
		else
			$id_usr = 0;

		$likeReq = $this->bdd->query('INSERT INTO zw_contents_like (content_like_id_mod, content_like_id_join, content_id_usr, content_like_date_add) VALUES ("'.$_post['mod_id'].'", "'.$_post['id'].'", "'.$id_usr.'", now() )', $this->connexion);


		//---------------------------
		// Affichage Ajax -> faire function + view
		$i = 0;
		$body = null;
		$likeMe[$i] = $this->usr->basetype()->getLike($_post['mod_id'], $_post['id']);
		$countLike[$i] = $this->usr->basetype()->countLike($_post['mod_id'], $_post['id']);

		if( $countLike[$i] >=1 || $this->usr->session()->auth() == true )
		{
			//$body.= '<li class="action-like">';
			$body.= '<span>';
			  if($countLike[$i] >=1)
				$body.= ($countLike[$i] > 1 ) ? ''.$countLike[$i].' personnes' : ''.$countLike[$i].' personne';
			$body.= '</span>';
			  if($this->usr->session()->auth() )
				$body.= ($likeMe[$i] == true) ? '<a href="#/unlike" class="unlike" title="Je n\'aime plus &ccedil;&agrave;">Je n\'aime plus</a>' : '<a href="#/like" class="like" title="J\'aime &ccedil;&agrave;">J\'aime</a>';

			//$body.= '</li>';
		}

		echo $body; exit;
	}


	protected function zw3bModUsrActionsNistUnlike($_post = null, $_files = null) {

		//echo '>zw3bModUsrActions>unlike><pre>'.print_r($_post, 1).'</pre>'; exit;
		//---------------------------
		$this->bdd = $this->zwDb();
		
		// Script
		if($this->usr->session()->auth() == true)
			$id_usr = $this->usr->session()->uid;
		else
			$id_usr = 0;

		if($this->usr->session()->auth() == true)
		$unlikeReq = $this->bdd->query('DELETE FROM zw_contents_like WHERE content_like_id_mod = "'.$_post['mod_id'].'" AND content_like_id_join = "'.$_post['id'].'" AND content_id_usr = "'.$id_usr.'" LIMIT 1', $this->connexion);

		//---------------------------
		// Affichage Ajax -> faire function + view
		$i = 0;
		$body = null;
		$likeMe[$i] = $this->usr->basetype()->getLike($_post['mod_id'], $_post['id']);
		$countLike[$i] = $this->usr->basetype()->countLike($_post['mod_id'], $_post['id']);

		if( $countLike[$i] >=1 || $this->usr->session()->auth() == true )
		{
			//$body.= '<li class="action-like">';
			$body.= '<span>';
			  if($countLike[$i] >=1)
				$body.= ($countLike[$i] > 1 ) ? ''.$countLike[$i].' personnes' : ''.$countLike[$i].' personne';
			$body.= '</span>';
			  if($this->usr->session()->auth() )
				$body.= ($likeMe[$i] == true) ? '<a href="#/unlike" class="unlike" title="Je n\'aime plus &ccedil;&agrave;">Je n\'aime plus</a>' : '<a href="#/like" class="like" title="J\'aime &ccedil;&agrave;">J\'aime</a>';

			//$body.= '</li>';
		}

		echo $body; exit;

	}


   protected function zw3bModUsrActionsNistDlog($_post = null, $_files = null) {

    	//echo '<pre>zw3bModUsrActions>zw3bModUsrActionsNistDlog> '.print_r($_post,1).'</pre>';

  		$this->usr->session()->start();

		$this->valide = false;

		unset($_SESSION['user']);
		//unset($_SESSION['user']['grp_id']);
		//unset($_SESSION['user']['pseudo']);
		//unset($_SESSION['user']['email']);
		//unset($_SESSION['user']['passwd']);
		unset($_SESSION['udate']['log']);
		unset($_SESSION['udate']['logerr']);
		unset($_SESSION['udate']['pwderr']);
/*
		setcookie("ZWID", "", time() - 604800, "/", ".zw3b.fr");

		setcookie("PHPSESSID", "", null, "/", ".zw3b.fr");

		@setcookie("PHPSESSID", "", null, "zw3b.fr");
		@setcookie("PHPSESSID", "", null, "v5.zw3b.fr");
		//@setcookie("PHPSESSID", "", null, "www.zw3b.fr");
		@setcookie("PHPSESSID", "", null, "w8w.zw3b.fr");
		@setcookie("PHPSESSID", "", null, "howto.zw3b.fr");
		@setcookie("PHPSESSID", "", null, "h0wt0.zw3b.fr");
		@setcookie("PHPSESSID", "", null, "radio.zw3b.fr");
		@setcookie("PHPSESSID", "", null, "radi0.zw3b.fr");
*/

   		header("Location: ".$_SERVER['HTTP_REFERER']);
    }

	protected function zw3bModUsrActionsNistCompte($_post = null, $_files = null) {

		//echo '>zw3bModUsrActions>compte><pre>'.print_r($_post, 1).'</pre>'; exit;

		if( $this->usr->auth() == true
		&& ( isset($_post['connex']['pseudo']['val']) && !empty($_post['connex']['pseudo']['val']) )
		&& ( isset($_post['connex']['email']['val']) && !empty($_post['connex']['email']['val']) )
		):

		$this->bdd = $this->zwDb();

		$erreur = null;

		$pseudo = $_post['connex']['pseudo']['val']; $pseudo_mod = true;
		$email = $_post['connex']['email']['val'];

		$passwd0 = $_post['connex']['m2p0']['val'];
		$passwd1 = $_post['connex']['m2p1']['val'];

		$id_user = $this->usr->uid();

        //////////////////////////////////////////////
        // PSEUDO
        if( $pseudo_mod == true ) {

            if ( ereg("[^A-Za-z0-9_\-\. ]", $pseudo ) )
            	 $erreur[0]=2;
            // PSEUDO < 3
            if(strlen($pseudo)< "3")
            	 $erreur[0]=3;
            // PSEUDO vide
            if(empty($pseudo))
            	 $erreur[0]=4;


          	// recherche pseudo par ID
          	$pseudoActuelReq = $this->bdd->query("SELECT * FROM zw_usr WHERE usr_id='".$id_user."'", $this->connexion);
          	$pseudoActuel = $this->bdd->fetch_array($pseudoActuelReq);

          	if($pseudoActuel[0]['usr_pseudo'] != $pseudo) {
          		// PSEUDO Existe
          		$pseudoReq = $this->bdd->query("SELECT * FROM zw_usr WHERE usr_pseudo='".$pseudo."'", $this->connexion);
          		$cptePseudo = $this->bdd->num_rows($pseudoReq);
          		if($cptePseudo != 0)
          			$erreur[0]=1;
          	}

          	if(!$erreur[0]) {
          		// Mise a jour du nouveau mot de passe
          		$usrModLOGReq = $this->bdd->query("UPDATE zw_usr SET usr_pseudo='".$pseudo."' WHERE usr_id = '".$id_user."'", $this->connexion);
          	}

    	}
      	//////////////////////////////////////////////

      	//////////////////////////////////////////////
      	// EMAIL

      	// EMAIL invalide
      	if (!ereg('^[-!#$%&\'*+\\./0-9=?a-z^_`a-z {|} ~]+'.'@'.'[-!#$%&\'*+\\/0-9=?a-z^_`a-z {|} ~]+\.'.'[-!#$%&\'*+\\./0-9=?a-z^_`a-z {|} ~]+$',$email))
      	   $erreur[1]=2;
      	// EMAIL vide
      	if(empty($email))
      	   $erreur[1]=4;

      	//recherche email par ID
      	$mailActuelReq = $this->bdd->query("SELECT * FROM zw_usr WHERE usr_id='".$id_user."'", $this->connexion);
      	$mailActuel = $this->bdd->fetch_array($mailActuelReq);
      	//print_r($mailActuel);exit;
      	if($mailActuel[0]['usr_email'] != $email) {
      		// MAIL Existe
      		$mailReq = $this->bdd->query("SELECT * FROM zw_usr WHERE usr_email='".$email."'", $this->connexion);
      		$cpteMail = $this->bdd->num_rows($mailReq);
      		if($cpteMail != 0)
      			$erreur[1]=1;
      	}

      	if( !$erreur[1] ) {
      		// Mise a jour du nouveau mot de passe
      		$usrModLOGReq = $this->bdd->query("UPDATE zw_usr SET usr_email='".$email."' WHERE usr_id = '".$id_user."'", $this->connexion);
      	}
      	//////////////////////////////////////////////

      	//////////////////////////////////////////////
      	// PASSWORD

      	// verification du nouveau mot de passe
      	if ($passwd0 != "" || $passwd1 != "") {

        		// PASSWORD caracteres
        		if (ereg('[^A-Za-z0-9_ .*\/+-]',$passwd0))
        			 $erreur[2]=2;
        		// PASSWORD <=5
        		if(strlen($passwd0)< "4")
        			 $erreur[2]=3;
        		// PASSWORD vide
        		if(empty($passwd0))
        			 $erreur[2]=4;
        		// PASSWORD equivalent PSEUDO
        		if($passwd0 == $pseudo)
        			 $erreur[2]=5;
        		// PASSWORD different VERIF
        		if($passwd0 != $passwd1)
        			 $erreur[2]=6;

        		if( !$erreur[2] ) {
        			// Mise a jour du nouveau mot de passe
        			$usrModM2PReq = $this->bdd->query("UPDATE zw_usr SET usr_pwd='".md5($passwd0)."' WHERE usr_id = '".$id_user."'", $this->connexion);
        		}

        		#if($erreur[2]) {
          			// renvoie lerreur M2P sur la page
          			//header ("Location: ./admin/?op=ajt&erreur[2]=".$erreur[2]."#mod");
          			#exit();
        		#}

      	}
      	//////////////////////////////////////////////


		//$notification = new zw3bNotification();
		//$_post['sc'] = 'mod';
		//$notif  = $notification->push($_post, $type=5); // type == membre

		header ("Location: ".$_SERVER['HTTP_REFERER']."#compte");exit;
/*
		$userReq = $this->db->query('SELECT u.* FROM usr u WHERE u.log = "'.$identifiant.'" AND u.pwd = "'.md5($upasswd).'"');
		$user = $this->db->fetch_array($userReq);
		//$this->db->shutdown();
		if($user == true):
			$update = $this->db->query('UPDATE usr u SET u.date_mod = now(), u.email = "'.$email.'", u.email = "'.$email.'",   WHERE u.id_usr = "'.$user[0]['id_usr'].'" LIMIT 1');
		endif;
*/
		endif;

	}



	protected function zw3bModUsrActionsNistNotification($_post = null, $_files = null) {

		//echo '>zw3bModUsrActions>notification><pre>'.print_r($_post, 1).'</pre>'; exit;

		//if(isset($_post['notif']['level']['val']) && !empty($_post['notif']['level']['val'])) 
		if($this->usr->auth() == true)
		{

			$id_user = $this->usr->uid();

			$level = isset($_post['notif']['level']['val']) && !empty($_post['notif']['level']['val']) ? $_post['notif']['level']['val'] : "0";

			$this->bdd = $this->zwDb();
      		$usrModReq = $this->bdd->query("UPDATE zw_usr SET usr_notification = '".$level."' WHERE usr_id = '".$id_user."' LIMIT 1", $this->connexion);

			//$notification = new zw3bNotification();
			//$_post['sc'] = 'notification';
			//$notif  = $notification->push($_post, $type=5); // type == membre

			//header ("Location: ".$_SERVER['HTTP_REFERER']."#notif"); exit;
		}
        
        header ("Location: ".$_SERVER['HTTP_REFERER']."#notif"); 
        exit;
        
        //return $retour;
		//exit;
	}


	protected function zw3bModUsrActionsNistUoline($_post = null, $_files = null) {

		if($this->usr->auth() == true) {

			zw3bModUsrMysqlActions::zw3bAdminModUsrMysqlActionsOline($_post, $_files);
			
			//header('Location: '.$_SERVER['HTTP_REFERER'].'');
		} else  {


			//header('Location: '.$_SERVER['HTTP_REFERER'].'#forgot');
		}		
	}






 	public function login_ajax($_post = null, $_files = null, $ajax = null) {
	//function login($arguments = array()) {

		//$this->usr->session()->start();
		//echo '>zw3bModUsrActions>login_ajax><pre>'.print_r($_post, 1).'</pre>'; //exit;
		$ajax = true;

		$error['auth'] = false; // ?????
		if(($this->user = $this->usr->log_user($_post)) == true):

			 //echo '>zw3bModUsrActions>login_ajax><pre>'.print_r($this->user).'</pre>'; //exit;

			if(isset($this->user['log']) && isset($this->user['mail']) )  {

			 $this->usr->session()->assign_user($this->user);
			 $this->usr->session()->auth_assign();

			}

		;else:
				$arguments = $this->usr->login_check_auth($_post);

				//$arguments['return']['error']['identifiant'] = 1;
				//$arguments['return']['error']['value']['identifiant'] = "".$_post['field_identifiant'];


		endif;

		//$this->usr->get_users();

		//echo '>login>> <pre>'.print_r($this->usr->log_user($_post), 1).'</pre>'; exit;


		//echo '>>><pre>'.print_r($this->usr->get_users(), 1).'</pre>'; exit;
		//self::refresh();

		//$auth = parent::auth($_post);


		//if(!is_object($notification))


		//echo '<pre>'.print_r($notif,1).'</pre>'; exit;


		if($error['auth'] == false && $this->usr->auth() == true) {

			//echo zw3bViews::getView("zw-main0", "./sys/modules/usr/default/tpl/zw-usr.bloc.php", "zw3bModUsr", "index", $arguments); exit;

			//header('Location: '.$_SERVER['HTTP_REFERER']);
			//$arguments['return']['error']['value']['identifiant'] = "".$_post['field_identifiant'];
			if($ajax == true){
				echo zw3bViews::getView("zw-main0", "./sys/modules/usr/default/tpl/zw-usr.bloc.php", "zw3bModUsr", "index", null); exit;
			} else
				header('Location: '.$_SERVER['HTTP_REFERER']);
		} else  {

			if($ajax == true){
				echo zw3bViews::getView("zw-main0", "./sys/modules/usr/default/tpl/zw-usr.bloc.php", "zw3bModUsr", "index", $arguments); exit;
			} else
				header('Location: '.$_SERVER['HTTP_REFERER'].'#forgot');
		}
	}








       
}
?>