<?php
######################################################################
# ZW3B.Site : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2015/03/17
# Date Modify : 2015/07/31
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class zw3bModConfigDefault extends zw3bModConfig {
		public $data = array();

		function __construct() {

		}

		public function zw3bModConfigDefaultAppIndex() {

			$this->fields['head'] = 'Configurer le site';
			$this->fields['description'] = '';
			$this->fields['body'] = "<p>Vous devez etre authentifiez</p>";
			$this->fields['foot'] = '';
			$this->fields['form'] = '';
			
			if($this->usr->auth() == true
				and 
				(
					$this->usr->root() == true	
					or $this->usr->admin() == true	
					or $this->usr->moderator() == true		
				)
			) {
				
				$html =  '<p>';
				//$html.=  '<a href="'.$this->config['apps']['zw3b-site']['url'].'config/global/">';
				$html.=  'Sur cette page vous configurez le site.';
				//$html.=  '</a>';
				$html.=  '</p>';

				$this->fields['description'] = '';
				$this->fields['body'] = $html;
				$this->fields['foot'] = '';
				
				// ZW3B.HOST ----------------------------------------------------
				$this->fields['config_global_uri'] = $this->config['host']['uri'];
				$this->fields['config_global_documentroot'] = $this->config['host']['documentroot'];

				$this->fields['config_global_visibility'] = 1;
				
				$this->fields['config_global_name'] = $this->config['host']['title'];
				$this->fields['config_global_description'] = $this->config['host']['description'];
				$this->fields['config_global_keywords'] = $this->config['host']['keywords'];
				$this->fields['config_global_text'] = $this->config['host']['text'];;
				$this->fields['config_global_photo'] = isset($this->config['host']['photo']) ? $this->config['host']['photo'] : '';

				$this->fields['config_global_owner'] = isset($this->config['host']['owner']) && !empty($this->config['host']['owner']) ? $this->config['host']['owner'] : 'LAB3W';
				$this->fields['config_global_copyright'] = isset($this->config['host']['copyright']) && !empty($this->config['host']['copyright']) ? $this->config['host']['copyright'] : 'ZW3B.FR';
				$this->fields['config_global_reply'] = isset($this->config['host']['reply']) && !empty($this->config['host']['reply']) ? $this->config['host']['reply'] : 'orj@lab3w.fr';
				$this->fields['config_global_author'] = isset($this->config['host']['author']) && !empty($this->config['host']['author']) ? $this->config['host']['author'] : 'O.Romain Jaillet-Ramey alias LAB3W.ORJ';

				$this->fields['config_global_distribution'] = isset($this->config['host']['distribution']) && !empty($this->config['host']['distribution']) ? $this->config['host']['distribution'] : 'Global';
				$this->fields['config_global_audience'] = isset($this->config['host']['audience']) && !empty($this->config['host']['audience']) ? $this->config['host']['audience'] : 'all';
				$this->fields['config_global_rating'] = isset($this->config['host']['rating']) && !empty($this->config['host']['rating']) ? $this->config['host']['rating'] : 'General';
				$this->fields['config_global_robots'] = isset($this->config['host']['robots']) && !empty($this->config['host']['robots']) ? $this->config['host']['robots'] : 'index, follow';
				$this->fields['config_global_revisit'] = isset($this->config['host']['revisit']) && !empty($this->config['host']['revisit']) ? $this->config['host']['revisit'] : '15 days';

				$this->fields['config_global_ga'] = isset($this->config['host']['ga']) && !empty($this->config['host']['ga']) ? $this->config['host']['ga'] : '';

				// ZW3B.HOST.DB ----------------------------------------------------				
				$this->fields['config_bdd_host'] = isset($this->config['bdd']['host']) && !empty($this->config['bdd']['host']) ? $this->config['bdd']['host'] : 'localhost';
				$this->fields['config_bdd_db'] = isset($this->config['bdd']['db']) && !empty($this->config['bdd']['db']) ? $this->config['bdd']['db'] : 'zw3b_site_v5_8_0';
				$this->fields['config_bdd_usr'] = isset($this->config['bdd']['usr']) && !empty($this->config['bdd']['usr']) ? $this->config['bdd']['usr'] : 'root';
				$this->fields['config_bdd_pwd'] = isset($this->config['bdd']['pwd']) && $this->config['bdd']['pwd'] != "mot de passe" ? $this->config['bdd']['pwd'] : isset($this->config['bdd']['pwd']) ? $this->config['bdd']['pwd'] : '';
				
				// ZW3B.HOST.SKINS ----------------------------------------------------								
				// on liste les dossiers
				$zwSkinsDirectory = $this->config['host']['documentroot'].'skins/';
				$zwSkins = $this->zwSkins()->get_skins($zwSkinsDirectory);
				
				$zwSkinsHtml = "<pre>".print_r($zwSkins,1)."</pre>";
				$zwSkinsHtml = "";
				$zwSkinsHtml.= '<select name="config[skin][uri]" style="font-weight: normal; margin-bottom: 20px; text-align: left; font-family: Impact; font-size: 14px;">';
				foreach($zwSkins as $zwSkin):
					$zwSkinsHtml.= '<option value="'.$zwSkin['name'].'" '.(($zwSkin['name'] == $this->config['skin']['uri']) ? 'selected="selected"' : '').'>'.$zwSkin['name'].'</option>';
				endforeach;
				$zwSkinsHtml.= '</select>';
				//exit;
				
				
				$this->fields['config_skin_uri'] = $zwSkinsHtml;				
				//$this->fields['config_skin_uri'] = isset($this->config['skin']['uri']) && !empty($this->config['skin']['uri']) ? $this->config['skin']['uri'] : 'zw3b-site';
				// --------------------------------------------------------------------				
		
				$this->fields['config_structure_pagelayout'] = isset($this->config['structure']['pagelayout']) && !empty($this->config['structure']['pagelayout']) ? $this->config['structure']['pagelayout'] : 'pagelayout.tpl.php';
				$this->fields['config_structure_override'] = isset($this->config['structure']['override']) ? $this->config['structure']['override'] : '';

				// --------------------------------------------------------------------				
				// on envoie le formulaire 
				$this->fields['form'] = self::zw3bModConfigDefaultForm();		
			}

			return $this->fields;
		}



		public function zw3bModConfigDefaultForm($arguments = null) {


			$formulaire = ''."\n";
			
			if($this->usr->auth() == true
				and 
				(
					$this->usr->root() == true	
					or $this->usr->admin() == true	
					//or $this->usr->moderator() == true		
				)
			) {
				
					$formulaire.= '<form method="post" action="/actions/config/default/mod" enctype="multipart/form-data">'."\n";
					$formulaire.= '<table>'."\n";

						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th style="width:25%;">Adresse du site :</th>'."\n";
							$formulaire.= '<td>'."\n";
							$formulaire.= '<input type="text" name="config[global][uri]" value="{config_global_uri}" />'."\n";
							$formulaire.= '</td>'."\n";
						$formulaire.= '</tr>'."\n";

						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Racine du site :</th>'."\n";
							$formulaire.= '<td><input type="text" name="config[global][documentroot]" value="{config_global_documentroot}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";
												
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<td colspan="2">&nbsp;</td>'."\n";
						$formulaire.= '</tr>'."\n";

						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Nom du site :</th>'."\n";
							$formulaire.= '<td><input type="text" name="config[global][title]" value="{config_global_name}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";
						
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Description du site :</th>'."\n";
							$formulaire.= '<td><textarea name="config[global][description]" rows="2" class="mceNoEditor" />{config_global_description}</textarea></td>'."\n";
						$formulaire.= '</tr>'."\n";
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Mots Clefs :</th>'."\n";
							$formulaire.= '<td><textarea name="config[global][keywords]" rows="5" class="tinymce"  />{config_global_keywords}</textarea></td>'."\n";
						$formulaire.= '</tr>'."\n";

						$formulaire.= '<tr>'."\n";
							$formulaire.= '<td colspan="2">&nbsp;</td>'."\n";
						$formulaire.= '</tr>'."\n";
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Texte du site :</th>'."\n";
							$formulaire.= '<td><textarea name="config[global][text]" rows="20" class="tinymce"  />{config_global_text}</textarea></td>'."\n";
						$formulaire.= '</tr>'."\n";

				
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<td colspan="2">&nbsp;</td>'."\n";
						$formulaire.= '</tr>'."\n";

						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th colspan="2"><h4>Infos</h4></th>'."\n";						
						$formulaire.= '</tr>'."\n";
						
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Propri&eacute;taire du site :</th>'."\n";
							$formulaire.= '<td><input type="text" name="config[global][owner]" value="{config_global_owner}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";

						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Copyright du site :</th>'."\n";
							$formulaire.= '<td><input type="text" name="config[global][copyright]" value="{config_global_copyright}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";
						
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Mail du site :</th>'."\n";
							$formulaire.= '<td><input type="text" name="config[global][reply]" value="{config_global_reply}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";
						
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Auteur du site :</th>'."\n";
							$formulaire.= '<td><input type="text" name="config[global][author]" value="{config_global_author}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";

						$formulaire.= '<tr>'."\n";
							$formulaire.= '<td colspan="2">&nbsp;</td>'."\n";
						$formulaire.= '</tr>'."\n";

						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th colspan="2"><h4>M&eacute;tas-Tags</h4></th>'."\n";						
						$formulaire.= '</tr>'."\n";
						
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Distribution du r&eacute;f&eacute;rencement :</th>'."\n";
							$formulaire.= '<td><input type="text" name="config[global][distribution]" value="{config_global_distribution}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";

						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Audience du r&eacute;f&eacute;rencement :</th>'."\n";
							$formulaire.= '<td><input type="text" name="config[global][audience]" value="{config_global_audience}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";
						
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Rating du r&eacute;f&eacute;rencement :</th>'."\n";
							$formulaire.= '<td><input type="text" name="config[global][rating]" value="{config_global_rating}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";
						
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Indexation des robots :</th>'."\n";
							$formulaire.= '<td><input type="text" name="config[global][robots]" value="{config_global_robots}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";
						
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Re-visite des robots :</th>'."\n";
							$formulaire.= '<td><input type="text" name="config[global][revisit]" value="{config_global_revisit}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";

						$formulaire.= '<tr>'."\n";
							$formulaire.= '<td colspan="2">&nbsp;</td>'."\n";
						$formulaire.= '</tr>'."\n";
												
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Identifiant Google Analytics :</th>'."\n";
							$formulaire.= '<td><input type="text" name="config[global][ga]" value="{config_global_ga}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";						
														
																																			
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<td colspan="2">&nbsp;</td>'."\n";
						$formulaire.= '</tr>'."\n";

						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th colspan="2"><h4>Base de donn&eacute;es</h4></th>'."\n";
							
						$formulaire.= '</tr>'."\n";
						
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Serveur :</th>'."\n";
							$formulaire.= '<td><input type="text" name="config[bdd][host]" value="{config_bdd_host}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Base :</th>'."\n";
							$formulaire.= '<td><input type="text" name="config[bdd][db]" value="{config_bdd_db}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Utilisateur :</th>'."\n";
							$formulaire.= '<td><input type="text" name="config[bdd][usr]" value="{config_bdd_usr}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";						
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Mot de passe :</th>'."\n";
							$formulaire.= '<td><input type="password" name="config[bdd][pwd]" value="mot de passe" /></td>'."\n";
						$formulaire.= '</tr>'."\n";

						$formulaire.= '<tr>'."\n";
							$formulaire.= '<td colspan="2">&nbsp;</td>'."\n";
						$formulaire.= '</tr>'."\n";
						
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th colspan="2"><h4>Habillage</h4></th>'."\n";
						$formulaire.= '</tr>'."\n";
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th>Skin :</th>'."\n";
							$formulaire.= '<td>{config_skin_uri}</td>'."\n";
						$formulaire.= '</tr>'."\n";
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<th><span style="visibility:hidden;">Page-Layout :</span></th>'."\n";
							$formulaire.= '<td><input type="hidden" name="config[structure][pagelayout]" value="{config_structure_pagelayout}" /></td>'."\n";
						$formulaire.= '</tr>'."\n";
						$formulaire.= '<tr>'."\n";
							$formulaire.= '<td colspan="2">&nbsp;</td>'."\n";
						$formulaire.= '</tr>'."\n";

						$formulaire.= '<tr>'."\n";
							$formulaire.= '<td colspan="2">&nbsp;</td>'."\n";
						$formulaire.= '</tr>'."\n";



						$formulaire.= '<tr>'."\n";
							$formulaire.= '<td></td>'."\n";
							$formulaire.= '<td><input type="submit" name="config[global][submit]" value="Modifier" /> </td>'."\n";
						$formulaire.= '</tr>'."\n";

						$formulaire.= '<tr>'."\n";
							$formulaire.= '<td colspan="2">&nbsp;</td>'."\n";
						$formulaire.= '</tr>'."\n";
						
					$formulaire.= '</table>'."\n";
					$formulaire.= '</form>'."\n";

			}
			
			return $formulaire;
			
		}
		
		
}


?>