<?php
######################################################################
# ZW3B.Site v5.8.2 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2015/03/17
# Date Modify : 2015/08/25
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class zw3bModConfigSkins extends zw3bModConfig {
		public $data = array();
		
		public function __construct() {
		
		}
    
		protected function zw3bModConfigSkinsAppIndex() {
	
			// ZW3B.BLOC.DEFAULT ----------------------------------------------------	
			$this->fields['head'] = 'Configurer les skins du site';
			$this->fields['desc'] = '';
			$this->fields['foot'] = '';
			$this->fields['body'] = "<p>Vous devez etre authentifiez</p>";				
			// --------------------------------------------------------------------
			
			$this->fields['skin_table'] = null;
			$this->fields['skin_mod'] = null;
			
			if($this->usr->auth() == true 
				and (
					$this->usr->root() == true
					or $this->usr->admin() == true
					//or $this->usr->moderator() == true
				)
				
			) {
	
				
				$this->fields['skin_uri'] = isset($this->config['skin']['uri']) && !empty($this->config['skin']['uri']) ? $this->config['skin']['uri'] : 'zw3b-site';
				
				// ZW3B.BLOC.DEFAULT ----------------------------------------------------	
				$html =  '<p>';
				//$html.=  '<a href="'.$this->config['apps']['zw3b-site']['url'].'config/metas/">';
				$html.=  'Sur cette page la liste des skins (habillage) disponible.';
				$html.=  '<br/>Vous pouvez modifier les fichiers des skins sur cette page en cliquant sur les liens.';
				$html.=  '<br/><br/>Pour modifier l\'habillage d\'une rubrique, le skin est modifiable directement dans celle-ci.';
				
				$html.=  '</p>';

				$this->fields['body'] = $html;	
				// --------------------------------------------------------------------				
				
				// ZW3B.HOST.SKINS ----------------------------------------------------								
				// on liste les dossiers
				$zwSkinsDirectory = $this->config['host']['documentroot'].'skins/';
				$zwSkins = self::get_skins($zwSkinsDirectory);

/*				
				//$zwSkinsHtml = "<pre>".print_r($zwSkins,1)."</pre>";
				$zwSkinsHtml = "<br/><br/><strong>Habillage : </strong>";
				$zwSkinsHtml.= '<select name="skin_uri" style="">';
				foreach($zwSkins as $zwSkin):
					$zwSkinsHtml.= '<option value="'.$zwSkin['name'].'" '.(($zwSkin['name'] == $this->config['skin']['uri']) ? 'selected="selected"' : '').'>'.$zwSkin['name'].'</option>';
				endforeach;
				$zwSkinsHtml.= '</select>';
				//exit;
*/				
				$zwSkinsHtml = '<table>';

				$zwSkinsHtml.= '<thead>';
				$zwSkinsHtml.= '<tr>';			
					$zwSkinsHtml.= '<th style="min-width:15%;">';
					$zwSkinsHtml.= 'Skin';
					$zwSkinsHtml.= '</th>';	
					
					$zwSkinsHtml.= '<th>';
					$zwSkinsHtml.= '';
					$zwSkinsHtml.= '</th>';	
				$zwSkinsHtml.= '</tr>';			
				$zwSkinsHtml.= '</thead>';

				$zwSkinsHtml.= '<tfoot>';
				$zwSkinsHtml.= '<tr>';			
					$zwSkinsHtml.= '<th style="min-width:15%;">';
					$zwSkinsHtml.= 'Skin';
					$zwSkinsHtml.= '</th>';	
					
					$zwSkinsHtml.= '<th>';
					$zwSkinsHtml.= '';
					$zwSkinsHtml.= '</th>';	
				$zwSkinsHtml.= '</tr>';			
				$zwSkinsHtml.= '</tfoot>';
												
				$zwSkinsHtml.= '<tbody>';	
				foreach($zwSkins as $k => $zwSkin):
				$class = ($k % 2 == "0") ? 'default' : 'color';
				
				$zwSkinsHtml.= '<tr class="'.$class.'">';
				
					$zwSkinsHtml.= '<td style="min-width:15%;">';
					$zwSkinsHtml.= '<strong>'.$zwSkin['name'].'</strong>';
					$zwSkinsHtml.= '</td>';
				
					$zwSkinsHtml.= '<td>';
					$zwSkinsHtml.= '<strong>Feuilles de style</strong>';
					$zwSkinsHtml.= '</td>';
								
				$zwSkinsHtml.= '</tr>';
	
					$zwSkinStylesSheet = self::get_stylesheet($zwSkin['name']);
					foreach($zwSkinStylesSheet as $c => $zwSkinStyle):
					
					$zwSkinsHtml.= '<tr class="'.$class.'">';
					
						$zwSkinsHtml.= '<td>';
						$zwSkinsHtml.= '';
						$zwSkinsHtml.= '</td>';
					
						$zwSkinsHtml.= '<td>';
						$zwSkinsHtml.= '&nbsp;&nbsp;<a title="Modifier la CSS : '.$zwSkin['name'].' -> '.$zwSkinStyle['name'].'" href="'.$zwSkinStyle['dir'].'" onclick="return op(\'zw-mod-style-'.$zwSkin['name'].'-css_'.$c.'\', \''.$zwSkinStyle['dir'].'\');">'.$zwSkinStyle['dir'].'</a>';
						
						$zwSkinsHtml.= '<div class="hidden" id="zw-mod-style-'.$zwSkin['name'].'-css_'.$c.'">';
						//$zwSkinsHtml.= self::zw3bModConfigSkinsAppModStyleSheet($zwSkinStyle['path']);
						$zwSkinsHtml.= '<div>';
						
						$zwSkinsHtml.= '</td>';
									
					$zwSkinsHtml.= '</tr>';
													
					endforeach;
				
					$zwSkinsHtml.= '<tr class="'.$class.'">';
					
					$zwSkinsHtml.= '<td>';
					$zwSkinsHtml.= '&nbsp;';
					$zwSkinsHtml.= '</td>';
					
					$zwSkinsHtml.= '<td>';
					$zwSkinsHtml.= '<strong>Fichiers Java-Script</strong>';
					$zwSkinsHtml.= '</td>';
					
					$zwSkinsHtml.= '</tr>';
					
					
					$zwSkinFilesJS = self::get_javascript($zwSkin['name']);
					foreach($zwSkinFilesJS as $cf => $zwSkinFileJS):
					
					$zwSkinsHtml.= '<tr class="'.$class.'">';
					
						$zwSkinsHtml.= '<td>';
						$zwSkinsHtml.= '';
						$zwSkinsHtml.= '</td>';
					
						$zwSkinsHtml.= '<td>';
						$zwSkinsHtml.= '&nbsp;&nbsp;<a title="Modifier le fichier JS : '.$zwSkin['name'].' -> '.$zwSkinFileJS['name'].'" href="'.$zwSkinFileJS['dir'].'" onclick="return op(\'zw-mod-style-'.$zwSkin['name'].'-js_'.$c.'\', \''.$zwSkinFileJS['dir'].'\');">'.$zwSkinFileJS['dir'].'</a>';
						
						$zwSkinsHtml.= '<div class="hidden" id="zw-mod-style-'.$zwSkin['name'].'-js_'.$c.'">';
						//$zwSkinsHtml.= self::zw3bModConfigSkinsAppModJavascript($zwSkinFileJS['path']);
						$zwSkinsHtml.= '<div>';
						
						$zwSkinsHtml.= '</td>';
									
					$zwSkinsHtml.= '</tr>';
													
					endforeach;					

					$zwSkinsHtml.= '<tr class="'.$class.'">';
					
					$zwSkinsHtml.= '<td colspan="2">';
					$zwSkinsHtml.= '&nbsp;';
					$zwSkinsHtml.= '</td>';
					
					$zwSkinsHtml.= '</tr>';
										
														
				endforeach;
				$zwSkinsHtml.= '</tbody>';	
				
				$zwSkinsHtml.= '</table>';
				
				$this->fields['skin_table'] = $zwSkinsHtml;				
				// --------------------------------------------------------------------				

			}
			
			return $this->fields;
		}

/*
		protected function zw3bModConfigSkinsAppModStyleSheet($url = null) {
	
			// ZW3B.BLOC.DEFAULT ----------------------------------------------------	
			$this->fields['head'] = 'Modifier cette feuille de style';
			$this->fields['desc'] = '';
			$this->fields['foot'] = '';
			$this->fields['body'] = "<p>Vous devez etre authentifiez</p>";				
			// --------------------------------------------------------------------
	
			$this->fields['form'] = null;
			
			if($this->usr->auth() == true 
				and (
					$this->usr->root() == true
					or $this->usr->admin() == true
					//or $this->usr->moderator() == true
				)
				
			) {


				$text = file_get_contents($url);
				
				$formulaire = '<div>';
				$formulaire.= '<form method="" action="/actions/config/skins/mod/stylesheet/">';
				$formulaire.= '<br/>';
				$formulaire.= 'Modification de la CSS : '.$url;
				$formulaire.= '<br/><br/>';
				$formulaire.= '<textarea name="config[skin][stylesheet]" style="width:98%; height:500px;">'.$text.'</textarea>';
				$formulaire.= '<br/><br/>';
				$formulaire.= '<input type="button" value="modifier" name="config[skin][button]" />';
				$formulaire.= '</form>';
				$formulaire.= '</div>';
				
				return $formulaire;
				
			}	
		}


		protected function zw3bModConfigSkinsAppModJavascript($url = null) {
	
			// ZW3B.BLOC.DEFAULT ----------------------------------------------------	
			$this->fields['head'] = 'Modifier ce fichier Javascript';
			$this->fields['desc'] = '';
			$this->fields['foot'] = '';
			$this->fields['body'] = "<p>Vous devez etre authentifiez</p>";				
			// --------------------------------------------------------------------
	
			$this->fields['form'] = null;
			
			if($this->usr->auth() == true 
				and (
					$this->usr->root() == true
					or $this->usr->admin() == true
					//or $this->usr->moderator() == true
				)
				
			) {


				$text = file_get_contents($url);
				
				$formulaire = '<div>';
				$formulaire.= '<form method="" action="/actions/config/skins/mod/javascript/">';
				$formulaire.= '<br/>';
				$formulaire.= 'Modification de la CSS : '.$url;
				$formulaire.= '<br/><br/>';
				$formulaire.= '<textarea name="config[skin][javascript]" style="width:98%; height:500px;">'.$text.'</textarea>';
				$formulaire.= '<br/><br/>';
				$formulaire.= '<input type="button" value="modifier" name="config[skin][button]" />';
				$formulaire.= '</form>';
				$formulaire.= '</div>';
				
				return $formulaire;
				
			}	
		}
*/		

		public function zw3bModConfigSkinsAjaxGet($_post = null, $_files = null) {
			
			if($this->usr->auth() == true 
				and (
					$this->usr->root() == true
					or $this->usr->admin() == true
					//or $this->usr->moderator() == true
				)
				
			) {

				$url = $this->config['host']['documentroot'].$_post['path'];
				
				$text = file_get_contents($url);
				//$text = highlight_string($text,1);
				//$text = $this->zwTools()->highlight_file_with_line_numbers($url);
				
				$formulaire = '<div>';
				$formulaire.= '<form method="POST" action="/actions/config/skins/mod">';
				$formulaire.= '<br/>';
				$formulaire.= 'Modification du fichier : '.$_post['path'];
				$formulaire.= '<br/><br/>';
				$formulaire.= '<input type="hidden" name="config[skin][file]" value="'.$_post['path'].'">';
				$formulaire.= '<textarea name="config[skin][content]" style="width:98%; height:500px;">'.$text.'</textarea>';
				$formulaire.= '<br/><br/>';
				$formulaire.= '<input type="submit" value="modifier" name="config[skin][button]" />';
				$formulaire.= '</form>';
				$formulaire.= '</div>';
				
				echo $formulaire; exit;
				
			}	
			
						
		}
		
		public function get_skins($from = null) {
			
				$zwSkinsDirectory = ($from == null) ? $this->config['host']['documenroot'].'skins' : $from;
			    
			    if(!is_dir($zwSkinsDirectory))
			        return false;
			    
			    $files = array();
			    $i = 0;
			    if( $dh = opendir($zwSkinsDirectory))
			    {
			        while( false !== ($file = readdir($dh)))
			        {			        	
			            // Skip '.' and '..'
			            if( $file == '.' || $file == '..')
			                continue;
			            
			            $i++;
			            $path = $from . '' . $file;
			            /*if( is_dir($path) )
			                $files += self::get_skins($path);
			            else*/
			                $files[$i]['name'] = $file;
			                $files[$i]['imgs'] = $file.".png";
			                $files[$i]['path'] = $path;
			        }
			        closedir($dh);
			    }
			    return $files;
		}


		private function get_stylesheet($skin = null) {
			
				$zwSkinDir = ($skin == null) ? '/skins/zw3b-default/css/' : '/skins/'.$skin.'/css/';
				$zwSkinDirectory = ($skin == null) ? $this->config['host']['documentroot'].'skins/zw3b-default/css/' : $this->config['host']['documentroot'].'skins/'.$skin.'/css/';
			    
			    if(!is_dir($zwSkinDirectory))
			        return false;
			    
			    $files = array();
			    $i = 0;
			    if( $dh = opendir($zwSkinDirectory))
			    {
			        while( false !== ($file = readdir($dh)))
			        {			        	
			            // Skip '.' and '..'
			            if( $file == '.' || $file == '..' || is_dir($zwSkinDirectory.''.$file) )
			                continue;
			            
			            $i++;

			            /*if( is_dir($path) )
			                $files += self::get_skins($path);
			            else*/
			                $files[$i]['name'] = $file;
			                $files[$i]['dir'] = $zwSkinDir . '' . $file;
			                $files[$i]['path'] = $zwSkinDirectory . '' . $file;
			        }
			        closedir($dh);
			    }
			    sort($files, SORT_STRING); sort($files, SORT_STRING);
			    return $files;
		}


		private function get_javascript($skin = null) {
			
				$zwJavascriptDir = ($skin == null) ? '/skins/zw3b-default/js/' : '/skins/'.$skin.'/js/';
				$zwJavascriptDirectory = ($skin == null) ? $this->config['host']['documentroot'].'skins/zw3b-default/js/' : $this->config['host']['documentroot'].'skins/'.$skin.'/js/';
			    
			    if(!is_dir($zwJavascriptDirectory))
			        return false;
			    
			    $files = array();
			    $i = 0;
			    if( $dh = opendir($zwJavascriptDirectory))
			    {
			        while( false !== ($file = readdir($dh)))
			        {			        	
			            // Skip '.' and '..'
			            if( $file == '.' || $file == '..' || is_dir($zwJavascriptDirectory.''.$file) )
			                continue;
			            
			            $i++;

			            /*if( is_dir($path) )
			                $files += self::get_skins($path);
			            else*/
			                $files[$i]['name'] = $file;
			                $files[$i]['dir'] = $zwJavascriptDir . '' . $file;
			                $files[$i]['path'] = $zwJavascriptDirectory . '' . $file;
			        }
			        closedir($dh);
			    }
			    sort($files, SORT_STRING); sort($files, SORT_STRING);
			    return $files;
		}
		
		
		
							
}


?>