<?php
######################################################################
# ZW3B.Site v5.8.2 : Web Sites Management
# --------------------------------------------------------------------
#
# Copyright (c) 2015 by LAB3W : O.Romain Jaillet-Ramey - (orj@lab3w.fr)
#
# Date Create : 2014/10/20
# Date Modify : 2015/08/24
#
# Web Site : http://www.zw3b.fr
#
# This module is to manage ---------------------------- :: Descripton
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
######################################################################

class zw3bModConfig extends zw3bModules {

		public $adminrootdir = "/";
		
		function set($view, $module, $component, $arguments) {
			
		}

		
		function init($view, $module, $component, $arguments) {

			//echo '<pre>Fields : '.print_r($this,1).'</pre>';
			
			// Parcours du tableau $arguments
			if(is_array($arguments)):
			foreach ($arguments as $key => $value){
				$this->zwViews()->assign($key, $value);
			}
			endif;

			// on appele la methode
			$component_method = $module::$component($arguments);
			//echo "ici on ecrit ".$view."<br/>";
			// on ecrit
			return self::render($view, $component_method);

			//return $component_render;
		}

		function render($view, $fields) {


			//$this->fields['body'] .= '<br/> <pre>Fields : '.print_r($this->fields,1).'</pre>';

			// Template
			if(file_exists($view)):
				$modele = @fopen ($view, 'r');
				$render_content = @fread ($modele, @filesize ($view));
				@fclose ($modele);

				// Parcours du tableau $fields
				if(is_array($this->fields)):
				foreach ($this->fields as $key => $value){
					// Remplacement des valeurs dans le modle
					$result = @ereg_replace ("{".$key."}", $value, $render_content);
					// Initialisation du contenu du template
					$render_content = $result;

				}
				endif;
			else:
				$render_content = '<p style="color:white; background-color:red;"><span style="color:white;">&nbsp;Error:</span> Template "<span style="color:black;">'.$view.'</span>" n\'existe pas !</p>';
			endif;

			return $render_content;
		}



		function zw3bAdminRootdir() {
			return $this->adminrootdir;		
		}
		
		function zw3bModConfigAppNav() {

			$this->fields['menu_config'] = null;
			
			// admin ; mode - large + medium + small
			if($this->usr->auth() == true
			and 
			(
				$this->usr->root() == true	
				or $this->usr->admin() == true	
				or $this->usr->moderator() == true		
			)
			) {		
				
			//$this->fields['menu_config'].= '<pre>Fields : '.print_r($this->info['url'],1).'</pre>';
			$this->fields['menu_config'].= '<div class="head">';
			$this->fields['menu_config'].= '<h4>Menu</h4>';
			$this->fields['menu_config'].= '</div>';

			$this->fields['menu_config'].= '<div class="body">';
			$this->fields['menu_config'].= '<ul class="nav vert">';
			$this->fields['menu_config'].= '<li><a '.(($this->info['url'] == $this->config['apps']['conf']['url'].'/config/global/') ? 'class="active"' : '').' href="'.$this->config['apps']['conf']['url'].'/config/default/">Configuration G&eacute;n&eacute;rale</a></li>';
			
			//$this->fields['menu_config'].= '<li>&nbsp;</li>';
			//$this->fields['menu_config'].= '<li><a '.(($this->info['url'] == $this->config['apps']['conf']['url'].'/config/metas/') ? 'class="active"' : '').' href="'.$this->config['apps']['conf']['url'].'/config/metas/">Metas-tags (r&eacute;f&eacute;rencement)</a></li>';
			$this->fields['menu_config'].= '<li><a '.(($this->info['url'] == $this->config['apps']['conf']['url'].'/config/skins/') ? 'class="active"' : '').' href="'.$this->config['apps']['conf']['url'].'/config/skins/">Habillages (Skins, templates)</a></li>';
			//$this->fields['menu_config'].= '<li><a '.(($this->info['url'] == $this->config['apps']['conf']['url'].'/config/structures/') ? 'class="active"' : '').' href="'.$this->config['apps']['conf']['url'].'/config/structures/">Structures (pagelayouts)</a></li>';
			//$this->fields['menu_config'].= '<li><a '.(($this->info['url'] == $this->config['apps']['conf']['url'].'/config/modules/') ? 'class="active"' : '').' href="'.$this->config['apps']['conf']['url'].'/config/mods/">Modules (fonctionnalit&eacute;es)</a></li>';
			
			//$this->fields['menu_config'].= '<li>&nbsp;</li>';
			//$this->fields['menu_config'].= '<li><a '.(($this->info['url'] == $this->config['apps']['conf']['url'].'/config/contents/') ? 'class="active"' : '').' href="'.$this->config['apps']['conf']['url'].'/config/contents/">Contenus (nouvelles, liens web)</a></li>';
			//$this->fields['menu_config'].= '<li><a '.(($this->info['url'] == $this->config['apps']['conf']['url'].'/config/pub/') ? 'class="active"' : '').' href="'.$this->config['apps']['conf']['url'].'/config/pub/">Publicit&eacute;es (Partenaires, AdSense)</a></li>';
			//$this->fields['menu_config'].= '<li><a '.(($this->info['url'] == $this->config['apps']['conf']['url'].'/config/ga/') ? 'class="active"' : '').' href="'.$this->config['apps']['conf']['url'].'/config/ga/">Google Analytics Identifiant</a></li>';

			$this->fields['menu_config'].= '<li>&nbsp;</li>';
			$this->fields['menu_config'].= '<li><a '.(($this->info['url'] == $this->config['apps']['conf']['url'].'/tree/') ? 'class="active"' : '').' href="'.$this->config['apps']['conf']['url'].'/tree/">Arborescence (rubriques)</a></li>';

			#$this->fields['menu_config'].= '<li>&nbsp;</li>';
			#$this->fields['menu_config'].= '<li><a '.(($this->info['url'] == $this->config['apps']['conf']['url'].'/config/tree/') ? 'class="active"' : '').' href="'.$this->config['apps']['conf']['url'].'/usr/">Gestion des utilisateurs</a></li>';
			#$this->fields['menu_config'].= '<li><a '.(($this->info['url'] == $this->config['apps']['conf']['url'].'/config/tree/') ? 'class="active"' : '').' href="'.$this->config['apps']['conf']['url'].'/config/tree/">Gestion de l\'arborescence</a></li>';
			#$this->fields['menu_config'].= '<li><a '.(($this->info['url'] == $this->config['apps']['conf']['url'].'/contents/') ? 'class="active"' : '').' href="'.$this->config['apps']['conf']['url'].'/contents/">Gestion des contenus</a></li>';
			#$this->fields['menu_config'].= '<li>&nbsp;</li>';
			$this->fields['menu_config'].= '</ul>';
			$this->fields['menu_config'].= '</div>';		
		
			}
		}	
			
		function zw3bModConfigAppIndex() {
			
			$adminrootdir = "//admin.zw3b.fr";
			$adminrootdir = "/zw3b-admin";

			//$this->infos($args=null);
				$this->fields['body'] = null;
				
				// admin ; mode - large + medium + small
				if( true
				/*
				$this->usr->auth() == true
					and 
					(
						$this->usr->root() == true	
						or $this->usr->admin() == true	
						or $this->usr->moderator() == true		
					)*/
				) 
				{	

				//$this->fields['body'] = "<div>";

				$this->fields['body'].= '<div class="head">';
				//$this->fields['body'].= '<h2>Configuration ZW3B.Site</h2>';
				$this->fields['body'].= '<h2>';
				$this->fields['body'].= ''.$this->config['apps']['conf']['title'].' v'.$this->config['apps']['conf']['vs'].'';
				$this->fields['body'].= '</h2>';				

				$this->fields['body'].= '<p style="margin-bottom: 35px; margin-left: 250px; margin-top: -30px; padding-left: 10px;">';
				$this->fields['body'].= ''.$this->config['apps']['conf']['desc'].'';
				$this->fields['body'].= '</p>';
								
				$this->fields['body'].= '</div>';
				
				$this->fields['body'].= '<div class="content">';
				
				$this->fields['body'].= '<p>';
				$this->fields['body'].= '';
				$this->fields['body'].= 'L\'adresse du site <strong>'.$this->config['host']['title'].'</strong> est <a href="'.$this->config['host']['uri'].'">'.$this->zwTools()->protocole(substr($this->config['host']['uri'],2,strlen($this->config['host']['uri']))).'</a>';
				$this->fields['body'].= '<br/>';
				$this->fields['body'].= '<blockquote><strong>'.$this->config['host']['description'].'</strong></blockquote>';
				$this->fields['body'].= '<br/>';
				$this->fields['body'].= 'Le r&eacute;pertoire racine du site est : <code>'.$this->config['host']['documentroot'].'</code>';

				$this->fields['body'].= '<br/><br/>';
				$this->fields['body'].= 'L\'habillage actuel est <strong>'.$this->config['skin']['uri'].'</strong> ';
				//$this->fields['body'].= '<br/>';
				$this->fields['body'].= 'avec la stucture <code>./skins/'.$this->config['skin']['uri'].'/layouts/'.$this->config['structure']['pagelayout'].'</code>';
/*				
				$this->fields['body'].= '<br/><br/>';
				$this->fields['body'].= '<ul>';
				//$this->fields['body'].= 'Il y a N modules activ&eacute;s';
				$this->fields['body'].= '<li>Il y a N utilisateurs </li>';
				$this->fields['body'].= '<li>Il y a N rubriques </li>';				
				$this->fields['body'].= '<li>Il y a N contenus </li>';
				$this->fields['body'].= '<li>Il y a N modules </li>';
				$this->fields['body'].= '</ul>';
*/				
				$this->fields['body'].= '</p>';
				
				
/*				
				$this->fields['body'].= '<p>';
				$this->fields['body'].= '<a href="'.$this->config['apps']['conf']['url'].'/tree/add/">Ajouter une rubrique</a>';
				$this->fields['body'].= '</p>';
				
							
				$this->fields['body'].= '<li><a href="'.$this->config['apps']['conf']['url'].'/tree/add/">Ajouter une rubrique</a></li>';
				$this->fields['body'].= '<li><a href="'.$this->config['apps']['conf']['url'].'/tree/lst/">Lister les rubriques</a></li>';			
				$this->fields['body'].= '</ol>';
*/
				//$this->fields['body'].= '<pre>'.print_r($this->config,1).'</pre>';

				$this->fields['body'].= '</div>';

				$this->fields['body'].= '<div class="foot">';
				$this->fields['body'].= '</div>';
				
				//$this->fields['body'].= '</div>';
			
				
			} else  {
				
				$this->fields['body'] = "<div>".$this->fields['text']."</div>";
			}
		}


}
?>